/*
 * iaxxx-system-identifiers.h - IAxxx System Identifiers
 *
 * Copyright 2016 Knowles Corporation
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 */

#ifndef __IAXXX_SYSTEM_IDENTIFIERS_H__
#define __IAXXX_SYSTEM_IDENTIFIERS_H__
#include "iaxxx-systemids.h"

	/* Output Channels 0-15 EndPoint-0 */
#define IAXXX_SYSID_CHANNEL_RX_0_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(0, IAXXX_SYSID_DIR_OUT, 0) /*0x4020*/
#define IAXXX_SYSID_CHANNEL_RX_1_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(1, IAXXX_SYSID_DIR_OUT, 0) /*0x4060*/
#define IAXXX_SYSID_CHANNEL_RX_2_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(2, IAXXX_SYSID_DIR_OUT, 0) /*0x40A0*/
#define IAXXX_SYSID_CHANNEL_RX_3_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(3, IAXXX_SYSID_DIR_OUT, 0) /*0x40E0*/
#define IAXXX_SYSID_CHANNEL_RX_4_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(4, IAXXX_SYSID_DIR_OUT, 0) /*0x4120*/
#define IAXXX_SYSID_CHANNEL_RX_5_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(5, IAXXX_SYSID_DIR_OUT, 0) /*0x4160*/
#define IAXXX_SYSID_CHANNEL_RX_6_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(6, IAXXX_SYSID_DIR_OUT, 0) /*0x41A0*/
#define IAXXX_SYSID_CHANNEL_RX_7_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(7, IAXXX_SYSID_DIR_OUT, 0) /*0x41E0*/
#define IAXXX_SYSID_CHANNEL_RX_8_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(8, IAXXX_SYSID_DIR_OUT, 0) /*0x4220*/
#define IAXXX_SYSID_CHANNEL_RX_9_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(9, IAXXX_SYSID_DIR_OUT, 0) /*0x4260*/
#define IAXXX_SYSID_CHANNEL_RX_10_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(10, IAXXX_SYSID_DIR_OUT, 0) /*0x42A0*/
#define IAXXX_SYSID_CHANNEL_RX_11_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(11, IAXXX_SYSID_DIR_OUT, 0) /*0x42E0*/
#define IAXXX_SYSID_CHANNEL_RX_12_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(12, IAXXX_SYSID_DIR_OUT, 0) /*0x4320*/
#define IAXXX_SYSID_CHANNEL_RX_13_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(13, IAXXX_SYSID_DIR_OUT, 0) /*0x4360*/
#define IAXXX_SYSID_CHANNEL_RX_14_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(14, IAXXX_SYSID_DIR_OUT, 0) /*0x43A0*/
#define IAXXX_SYSID_CHANNEL_RX_15_EP_0     \
	IAXXX_SYSID_GEN_CHANNEL_SYSID(15, IAXXX_SYSID_DIR_OUT, 0) /*0x43E0*/

/* Plugin 0 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 0) /*0x3020*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 1) /*0x3021*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 2) /*0x3022*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 3) /*0x3023*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 4) /*0x3024*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 5) /*0x3025*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 6) /*0x3026*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 7) /*0x3027*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 8) /*0x3028*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 9) /*0x3029*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 10) /*0x302A*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 11) /*0x302B*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 12) /*0x302C*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 13) /*0x302D*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 14) /*0x302E*/
#define IAXXX_SYSID_PLUGIN_0_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT, 15) /*0x302F*/

/* Plugin 1 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 0) /*0x3060*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 1) /*0x3061*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 2) /*0x3062*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 3) /*0x3063*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 4) /*0x3064*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 5) /*0x3065*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 6) /*0x3066*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 7) /*0x3067*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 8) /*0x3068*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 9) /*0x3069*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 10) /*0x306A*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 11) /*0x306B*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 12) /*0x306C*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 13) /*0x306D*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 14) /*0x306E*/
#define IAXXX_SYSID_PLUGIN_1_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT, 15) /*0x306F*/

/* Plugin 2 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 0) /*0x30A0*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 1) /*0x30A1*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 2) /*0x30A2*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 3) /*0x30A3*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 4) /*0x30A4*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 5) /*0x30A5*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 6) /*0x30A6*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 7) /*0x30A7*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 8) /*0x30A8*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 9) /*0x30A9*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 10) /*0x30AA*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 11) /*0x30AB*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 12) /*0x30AC*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 13) /*0x30AD*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 14) /*0x30AE*/
#define IAXXX_SYSID_PLUGIN_2_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT, 15) /*0x30AF*/

/* Plugin 3 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 0) /*0x30E0*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 1) /*0x30E1*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 2) /*0x30E2*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 3) /*0x30E3*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 4) /*0x30E4*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 5) /*0x30E5*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 6) /*0x30E6*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 7) /*0x30E7*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 8) /*0x30E8*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 9) /*0x30E9*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 10) /*0x30EA*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 11) /*0x30EB*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 12) /*0x30EC*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 13) /*0x30ED*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 14) /*0x30EE*/
#define IAXXX_SYSID_PLUGIN_3_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT, 15) /*0x30EF*/

/* Plugin 4 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 0) /*0x3120*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 1) /*0x3121*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 2) /*0x3122*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 3) /*0x3123*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 4) /*0x3124*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 5) /*0x3125*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 6) /*0x3126*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 7) /*0x3127*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 8) /*0x3128*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 9) /*0x3129*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 10) /*0x312A*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 11) /*0x312B*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 12) /*0x312C*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 13) /*0x312D*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 14) /*0x312E*/
#define IAXXX_SYSID_PLUGIN_4_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT, 15) /*0x312F*/

/* Plugin 5 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 0) /*0x3160*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 1) /*0x3161*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 2) /*0x3162*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 3) /*0x3163*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 4) /*0x3164*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 5) /*0x3165*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 6) /*0x3166*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 7) /*0x3167*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 8) /*0x3168*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 9) /*0x3169*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 10) /*0x316A*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 11) /*0x316B*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 12) /*0x316C*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 13) /*0x316D*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 14) /*0x316E*/
#define IAXXX_SYSID_PLUGIN_5_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT, 15) /*0x316F*/

/* Plugin 6 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 0) /*0x31A0*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 1) /*0x31A1*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 2) /*0x31A2*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 3) /*0x31A3*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 4) /*0x31A4*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 5) /*0x31A5*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 6) /*0x31A6*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 7) /*0x31A7*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 8) /*0x31A8*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 9) /*0x31A9*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 10) /*0x31AA*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 11) /*0x31AB*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 12) /*0x31AC*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 13) /*0x31AD*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 14) /*0x31AE*/
#define IAXXX_SYSID_PLUGIN_6_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT, 15) /*0x31AF*/

/* Plugin 7 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 0) /*0x31E0*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 1) /*0x31E1*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 2) /*0x31E2*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 3) /*0x31E3*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 4) /*0x31E4*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 5) /*0x31E5*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 6) /*0x31E6*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 7) /*0x31E7*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 8) /*0x31E8*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 9) /*0x31E9*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 10) /*0x31EA*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 11) /*0x31EB*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 12) /*0x31EC*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 13) /*0x31ED*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 14) /*0x31EE*/
#define IAXXX_SYSID_PLUGIN_7_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT, 15) /*0x31EF*/

/* Plugin 8 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 0) /*0x3220*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 1) /*0x3221*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 2) /*0x3222*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 3) /*0x3223*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 4) /*0x3224*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 5) /*0x3225*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 6) /*0x3226*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 7) /*0x3227*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 8) /*0x3228*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 9) /*0x3229*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 10) /*0x322A*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 11) /*0x322B*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 12) /*0x322C*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 13) /*0x322D*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 14) /*0x322E*/
#define IAXXX_SYSID_PLUGIN_8_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT, 15) /*0x322F*/

/* Plugin 9 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 0) /*0x3260*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 1) /*0x3261*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 2) /*0x3262*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 3) /*0x3263*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 4) /*0x3264*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 5) /*0x3265*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 6) /*0x3266*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 7) /*0x3267*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 8) /*0x3268*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 9) /*0x3269*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 10) /*0x326A*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 11) /*0x326B*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 12) /*0x326C*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 13) /*0x326D*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 14) /*0x326E*/
#define IAXXX_SYSID_PLUGIN_9_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT, 15) /*0x326F*/

/* Plugin 10 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 0) /*0x32A0*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 1) /*0x32A1*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 2) /*0x32A2*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 3) /*0x32A3*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 4) /*0x32A4*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 5) /*0x32A5*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 6) /*0x32A6*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 7) /*0x32A7*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 8) /*0x32A8*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 9) /*0x32A9*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 10) /*0x32AA*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 11) /*0x32AB*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 12) /*0x32AC*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 13) /*0x32AD*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 14) /*0x32AE*/
#define IAXXX_SYSID_PLUGIN_10_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT, 15) /*0x32AF*/

/* Plugin 11 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 0) /*0x32E0*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 1) /*0x32E1*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 2) /*0x32E2*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 3) /*0x32E3*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 4) /*0x32E4*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 5) /*0x32E5*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 6) /*0x32E6*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 7) /*0x32E7*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 8) /*0x32E8*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 9) /*0x32E9*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 10) /*0x32EA*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 11) /*0x32EB*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 12) /*0x32EC*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 13) /*0x32ED*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 14) /*0x32EE*/
#define IAXXX_SYSID_PLUGIN_11_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT, 15) /*0x32EF*/

/* Plugin 12 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 0) /*0x3320*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 1) /*0x3321*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 2) /*0x3322*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 3) /*0x3323*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 4) /*0x3324*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 5) /*0x3325*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 6) /*0x3326*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 7) /*0x3327*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 8) /*0x3328*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 9) /*0x3329*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 10) /*0x332A*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 11) /*0x332B*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 12) /*0x332C*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 13) /*0x332D*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 14) /*0x332E*/
#define IAXXX_SYSID_PLUGIN_12_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT, 15) /*0x332F*/

/* Plugin 13 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 0) /*0x3360*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 1) /*0x3361*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 2) /*0x3362*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 3) /*0x3363*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 4) /*0x3364*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 5) /*0x3365*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 6) /*0x3366*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 7) /*0x3367*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 8) /*0x3368*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 9) /*0x3369*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 10) /*0x336A*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 11) /*0x336B*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 12) /*0x336C*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 13) /*0x336D*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 14) /*0x336E*/
#define IAXXX_SYSID_PLUGIN_13_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(13, IAXXX_SYSID_DIR_OUT, 15) /*0x336F*/

/* Plugin 14 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 0) /*0x33A0*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 1) /*0x33A1*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 2) /*0x33A2*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 3) /*0x33A3*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 4) /*0x33A4*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 5) /*0x33A5*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 6) /*0x33A6*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 7) /*0x33A7*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 8) /*0x33A8*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 9) /*0x33A9*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 10) /*0x33AA*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 11) /*0x33AB*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 12) /*0x33AC*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 13) /*0x33AD*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 14) /*0x33AE*/
#define IAXXX_SYSID_PLUGIN_14_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(14, IAXXX_SYSID_DIR_OUT, 15) /*0x33AF*/

/* Plugin 15 EndPoint 0 to 15 */
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_0     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 0) /*0x33E0*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_1     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 1) /*0x33E1*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_2     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 2) /*0x33E2*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_3     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 3) /*0x33E3*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_4     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 4) /*0x33E4*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_5     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 5) /*0x33E5*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_6     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 6) /*0x33E6*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_7     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 7) /*0x33E7*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_8     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 8) /*0x33E8*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_9     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 9) /*0x33E9*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_10     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 10) /*0x33EA*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_11     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 11) /*0x33EB*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_12     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 12) /*0x33EC*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_13     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 13) /*0x33ED*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_14     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 14) /*0x33EE*/
#define IAXXX_SYSID_PLUGIN_15_OUT_EP_15     \
	IAXXX_SYSID_GEN_PLUGIN_SYSID(15, IAXXX_SYSID_DIR_OUT, 15) /*0x33EF*/


#define IAXXX_SYSID_PLUGIN_INSTANCE_0				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(0, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x303F*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_1				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(1, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x307F*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_2				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(2, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x30BF*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_3				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(3, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x30FF*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_4				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(4, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x313F*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_5				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(5, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x317F*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_6				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(6, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x31BF*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_7				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(7, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x31FF*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_8				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(8, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x323F*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_9				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(9, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x327F*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_10				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(10, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x32BF*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_11				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(11, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x32FF*/

#define IAXXX_SYSID_PLUGIN_INSTANCE_12				\
	IAXXX_SYSID_GEN_PLUGIN_SYSID(12, IAXXX_SYSID_DIR_OUT,	\
	IAXXX_SYSID_INDEX_VALUE_PLUGIN_INST) /*0x333F*/

/* Proc Ids. */
enum iaxxx_proc_id_e {
	IAXXX_NO_PROC,	/* 0: Reserved -- not assigned/used */
	IAXXX_BOSS_ID,	/* 1: BOSS processor */
	IAXXX_SSP_ID,	/* 2: SSP (single sample processor) */
	IAXXX_CM4_ID,	/* 3: ARM Cortex M4 processor */
	IAXXX_HMD_ID,	/* 4: HemiDelta processor */
	IAXXX_DMX_ID,	/* 5: DeltaMax processor */
	IAXXX_PROC_ID_NUM,	/* Force enums to be of size int */
	IAXXX_PROC_ID_FORCE_SIZE = INT_MAX,
};

#define GLBL_MEM_ID_MASK	(1 << IAXXX_NO_PROC)
#define BOSS_ID_MASK		(1 << IAXXX_BOSS_ID)
#define SSP_ID_MASK			(1 << IAXXX_SSP_ID)
#define CM4_ID_MASK			(1 << IAXXX_CM4_ID)
#define HMD_ID_MASK			(1 << IAXXX_HMD_ID)
#define DMX_ID_MASK			(1 << IAXXX_DMX_ID)
#define ALL_PROC_ID_MASK \
(SSP_ID_MASK | CM4_ID_MASK | HMD_ID_MASK | DMX_ID_MASK)

/* Tunnel Event System ID*/
#define IAXXX_MODULE_TYPE_TUNNEL_MANAGER  (7)
#define IAXXX_MODULE_INSTANCE_ID_TUNNEL_MANAGER  (0)
#define IAXXX_PROC_ID_TUNNEL_MANAGER  (IAXXX_CM4_ID)

/*0x2670*/
#define IAXXX_SYSID_TUNNEL_EVENT	\
	(IAXXX_SYSID_GEN_MODULE_SYSID(IAXXX_PROC_ID_TUNNEL_MANAGER,	\
	IAXXX_MODULE_TYPE_TUNNEL_MANAGER,	\
	IAXXX_MODULE_INSTANCE_ID_TUNNEL_MANAGER))

/* Sensor Manager System ID*/
#define IAXXX_PROC_ID_SENSOR_MANAGER	(IAXXX_CM4_ID)
#define IAXXX_MODULE_TYPE_SENSOR_MANAGER  (18)
#define IAXXX_MODULE_INSTANCE_ID_SENSOR_MANAGER  (0)
/* Id for Sensor Manager */
/* 0x2720 */
#define IAXXX_SYSID_SENSOR_MGR	\
	(IAXXX_SYSID_GEN_MODULE_SYSID(IAXXX_PROC_ID_SENSOR_MANAGER,	\
	IAXXX_MODULE_TYPE_SENSOR_MANAGER,	\
	IAXXX_MODULE_INSTANCE_ID_SENSOR_MANAGER))

/* Sensor output 0 to 4 */
#define IAXXX_SYSID_SENSOR_OUTPUT_0     \
	IAXXX_SYSID_GEN_SENSOR_SYSID(0, IAXXX_SYSID_DIR_OUT, 0) /*0x9020*/
#define IAXXX_SYSID_SENSOR_OUTPUT_1     \
	IAXXX_SYSID_GEN_SENSOR_SYSID(0, IAXXX_SYSID_DIR_OUT, 1) /*0x9021*/
#define IAXXX_SYSID_SENSOR_OUTPUT_2     \
	IAXXX_SYSID_GEN_SENSOR_SYSID(0, IAXXX_SYSID_DIR_OUT, 2) /*0x9022*/
#define IAXXX_SYSID_SENSOR_OUTPUT_3     \
	IAXXX_SYSID_GEN_SENSOR_SYSID(0, IAXXX_SYSID_DIR_OUT, 3) /*0x9023*/

/* Script Manager System ID*/
#define IAXXX_PROC_ID_SCRIPT_MANAGER	(IAXXX_CM4_ID)
#define IAXXX_MODULE_TYPE_SCRIPT_MANAGER  (2)
#define IAXXX_MODULE_INSTANCE_ID_SCRIPT_MANAGER  (0)
/* Id for Script Manager */
/* 0x2620 */
#define IAXXX_SYSID_SCRIPT_MGR	\
	(IAXXX_SYSID_GEN_MODULE_SYSID(IAXXX_PROC_ID_SCRIPT_MANAGER,	\
	IAXXX_MODULE_TYPE_SCRIPT_MANAGER,	\
	IAXXX_MODULE_INSTANCE_ID_SCRIPT_MANAGER))

/* System Ids for Plugin Log output */
/* Type = 1 and Index = 0 */
#define IAXXX_SYSID_CM4_PLUGIN_LOG_OUTPUT	\
	IAXXX_SYSID_GEN_DEBUG_SYSID(IAXXX_CM4_ID, 1, IAXXX_SYSID_DIR_OUT, 0)
#define IAXXX_SYSID_HMD_PLUGIN_LOG_OUTPUT	\
	IAXXX_SYSID_GEN_DEBUG_SYSID(IAXXX_HMD_ID, 1, IAXXX_SYSID_DIR_OUT, 0)
#define IAXXX_SYSID_DMX_PLUGIN_LOG_OUTPUT	\
	IAXXX_SYSID_GEN_DEBUG_SYSID(IAXXX_DMX_ID, 1, IAXXX_SYSID_DIR_OUT, 0)

/* Utility macros for Block IDs */
#define IAXXX_PROC_ID_TO_BLOCK_ID(x) (x-IAXXX_CM4_ID)
#define IAXXX_BLOCK_ID_TO_PROC_ID(x) (x+IAXXX_CM4_ID)
#define IAXXX_DMX_BLOCK_ID  (IAXXX_PROC_ID_TO_BLOCK_ID(IAXXX_DMX_ID))
#define IAXXX_HMD_BLOCK_ID  (IAXXX_PROC_ID_TO_BLOCK_ID(IAXXX_HMD_ID))

#endif /* __IAXXX_SYSTEM_IDENTIFIERS_H__ */
