/*
 * iaxxx-systemids.h
 *
 * Copyright (c) 2018 Knowles, inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 and
 * only version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

/**********************************************************
 * This file is generated by running a format script
 * on header files shared by Firmware.
 *
 * DO NOT EDIT.
 *
 *********************************************************/
#ifndef __IAXXX_RESMGR_SYSIDS_H__
#define __IAXXX_RESMGR_SYSIDS_H__


/****************************************************************************
 * Includes
 ****************************************************************************/
#include "iaxxx-sysid-defs.h"

/****************************************************************************
 * Constants
 ****************************************************************************/

/* Defines instance number for single instance drivers */
#define IAXXX_DEV_SINGLE_INSTANCE (0)

/***************************************************************************//**
 * @defgroup res_mgr_enum_types Resource Mgr enums
 * @{
 ******************************************************************************/

/****************************************************************************
 * Types
 ****************************************************************************/

enum iaxxx_device_type_e {
	IAXXX_DEV_IO = 0,
	IAXXX_DEV_DATA,
	IAXXX_DEV_GENERIC,
	IAXXX_DEV_RESERVED,

	IAXXX_DEV_NUM_TYPES,

	/* Force enums to be of size int */
	IAXXX_DEV_TYPE_FORCE_SIZE = INT_MAX,
};

/** Enum defining the data device subtypes   for System Id
 */
enum iaxxx_device_data_subtypes_e {
	IAXXX_DEV_DATA_PCM = 0,
	IAXXX_DEV_DATA_PDMI,
	IAXXX_DEV_DATA_PDMO,
	IAXXX_DEV_DATA_I2S,
	IAXXX_DEV_DATA_SLBUS,
	IAXXX_DEV_DATA_FILTER_IN,
	IAXXX_DEV_DATA_FILTER_OUT,
	IAXXX_DEV_DATA_A400,

	IAXXX_DEV_NUM_DATA_SUBTYPES,

	/* Force enums to be of size int */
	IAXXX_DEV_DATA_SUBTYPES_FORCE_SIZE = INT_MAX,
};

/** Enum defining the IO device sub types
 *  for System Id generation
 */
enum iaxxx_device_io_subtypes_e {
	IAXXX_DEV_IO_I2C = 0,
	IAXXX_DEV_IO_UART,
	IAXXX_DEV_IO_SPI,
	IAXXX_DEV_IO_SLBUS,
	IAXXX_DEV_IO_SWIRE,
	IAXXX_DEV_IO_I3C,

	IAXXX_DEV_NUM_IO_SUBTYPES,

	/* Force enums to be of size int */
	IAXXX_DEV_IO_SUBTYPES_FORCE_SIZE = INT_MAX,
};

/** Enum defining the generic sub types
 */
enum iaxxx_device_generic_subtypes_e {
	IAXXX_DEV_GENERIC_GPIO = 0,
	IAXXX_DEV_GENERIC_TIMER,
	IAXXX_DEV_GENERIC_STMR,
	IAXXX_DEV_GENERIC_PLL,
	IAXXX_DEV_GENERIC_CLK,
	IAXXX_DEV_GERNEIC_DMA,
	IAXXX_DEV_GENERIC_ADC,
	IAXXX_DEV_GENERIC_DAC,
	IAXXX_DEV_GENERIC_AF,
	IAXXX_DEV_GENERIC_SSP,
	IAXXX_DEV_GENERIC_PWR_CLK,
	IAXXX_DEV_GENERIC_GPIO_A,
	IAXXX_DEV_GENERIC_GPIO_B,
	IAXXX_DEV_GENERIC_REGMAP,
	IAXXX_DEV_GENERIC_MAC,
	IAXXX_DEV_GENERIC_CPUSTRMDRV,

	IAXXX_DEV_NUM_GENERIC_SUBTYPES,

	/* Force enums to be of size int */
	IAXXX_DEV_GENERIC_SUBTYPES_FORCE_SIZE = INT_MAX,
};

/* TODO:
 * Should IAXXX_DEV_NUM_INSTANCE_xxx defines be moved
 * to a platform-specific file?
 */

/** Enum defining the instances of i2c devices
 */
enum iaxxx_device_instance_i2c_e {
	IAXXX_DEV_INSTANCE_I2C0 = 0,
	IAXXX_DEV_INSTANCE_I2C1,
	IAXXX_DEV_INSTANCE_I2C2,
	IAXXX_DEV_INSTANCE_I2C3,
	IAXXX_DEV_INSTANCE_I2C4,

	IAXXX_DEV_NUM_INSTANCE_I2C,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_I2C_FORCE_SIZE = INT_MAX,
};

/** Enum defining the instances of UART devices
 */
enum iaxxx_device_instance_uart_e {
	IAXXX_DEV_INSTANCE_UART0 = 0,
	IAXXX_DEV_INSTANCE_UART1,

	IAXXX_DEV_NUM_INSTANCE_UART,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_UART_FORCE_SIZE = INT_MAX,
};

/* Enum defining the instances of SPI devices
 */
enum IAXXX_DEV_instance_spi_e {
	IAXXX_DEV_INSTANCE_SPI0 = 0,		/*< SPI Device Instance 0*/
	IAXXX_DEV_INSTANCE_SPI1,		/*< SPI Device Instance 1*/
	IAXXX_DEV_INSTANCE_SPI2,		/*< SPI Device Instance 2*/

	IAXXX_DEV_NUM_INSTANCE_SPI,		/* No SPI Instances */

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_SPI_FORCE_SIZE = INT_MAX,
};

/** Enum defining the instances of Slimbus devices
 */
enum iaxxx_device_instance_slimbus_e {
	IAXXX_DEV_INSTANCE_SLBUS0 = 0,

	IAXXX_DEV_NUM_INSTANCE_SLBUS,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_SLIMBUS_FORCE_SIZE = INT_MAX,
};

/** Enum defining the instances of PCM devices
 */
enum iaxxx_device_instance_pcm_e {
	IAXXX_DEV_INSTANCE_PCM0 = 0,
	IAXXX_DEV_INSTANCE_PCM1,
	IAXXX_DEV_INSTANCE_PCM2,
	IAXXX_DEV_INSTANCE_PCM3,
	IAXXX_DEV_INSTANCE_PCM4,
	IAXXX_DEV_INSTANCE_PCM5,

	IAXXX_DEV_NUM_INSTANCE_PCM,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_PCM_FORCE_SIZE = INT_MAX,
};

/* Enum defining the instances of Filter Input devices
 */
enum iaxxx_device_instance_filter_in_e {
	IAXXX_DEV_INSTANCE_FILTER_IN0 = 0,
	IAXXX_DEV_INSTANCE_FILTER_IN1,
	IAXXX_DEV_INSTANCE_FILTER_IN2,
	IAXXX_DEV_INSTANCE_FILTER_IN3,
	IAXXX_DEV_INSTANCE_FILTER_IN4,
	IAXXX_DEV_INSTANCE_FILTER_IN5,
	IAXXX_DEV_INSTANCE_FILTER_IN6,
	IAXXX_DEV_INSTANCE_FILTER_IN7,

	IAXXX_DEV_NUM_INSTANCE_FILTER_IN,

	/* Force enums to be of size int */
	IAXXX_EV_INSTANCE_FILTER_IN_FORCE_SIZE = INT_MAX,
};

/* Enum defining the instances of Filter Output devices
 */
enum iaxxx_device_instance_filter_out_e {
	IAXXX_DEV_INSTANCE_FILTER_OUT0 = 0,
	IAXXX_DEV_INSTANCE_FILTER_OUT1,

	IAXXX_DEV_NUM_INSTANCE_FILTER_OUT,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_FILTER_OUT_FORCE_SIZE = INT_MAX,
};

/* Enum defining the instances of I2S devices
 */
enum iaxxx_device_instance_i2s_e {
	IAXXX_DEV_INSTANCE_I2S0 = 0,
	IAXXX_DEV_INSTANCE_I2S1,
	IAXXX_DEV_INSTANCE_I2S2,
	IAXXX_DEV_INSTANCE_I2S3,
	IAXXX_DEV_INSTANCE_I2S4,
	IAXXX_DEV_INSTANCE_I2S5,
	IAXXX_DEV_INSTANCE_I2S6,

	IAXXX_DEV_NUM_INSTANCE_I2S,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_I2S_FORCE_SIZE = INT_MAX,
};

/** Enum defining the instances of PDM Input devices
 */
enum iaxxx_device_instance_pdmi_e {
	IAXXX_DEV_INSTANCE_PDMI0 = 0,
	IAXXX_DEV_INSTANCE_PDMI1,
	IAXXX_DEV_INSTANCE_PDMI2,
	IAXXX_DEV_INSTANCE_PDMI3,
	IAXXX_DEV_INSTANCE_PDMI4,
	IAXXX_DEV_INSTANCE_PDMI5,
	IAXXX_DEV_INSTANCE_PDMI6,
	IAXXX_DEV_INSTANCE_PDMI7,

	IAXXX_DEV_NUM_INSTANCE_PDMI,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_PDMI_FORCE_SIZE = INT_MAX,
};

/** Enum defining the instances of PDM Output devices
 */
enum iaxxx_device_instance_pdmo_e {
	IAXXX_DEV_INSTANCE_PDMO0 = 0,
	IAXXX_DEV_INSTANCE_PDMO1,

	IAXXX_DEV_NUM_INSTANCE_PDMO,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_PDMO_FORCE_SIZE = INT_MAX,
};

/** Enum defining the instances of DACs
 */
enum iaxxx_device_instance_dac_e {
	IAXXX_DEV_INSTANCE_DAC0 = 0,
	IAXXX_DEV_INSTANCE_DAC1,

	IAXXX_DEV_NUM_INSTANCE_DAC,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_DAC_FORCE_SIZE = INT_MAX,
};

/** Enum for defining GPIO port A pins
 */
enum iaxxx_device_instance_gpio_a_e {
	IAXXX_DEV_INSTANCE_GPIOA0 = 0,
	IAXXX_DEV_INSTANCE_GPIOA1,
	IAXXX_DEV_INSTANCE_GPIOA2,
	IAXXX_DEV_INSTANCE_GPIOA3,
	IAXXX_DEV_INSTANCE_GPIOA4,
	IAXXX_DEV_INSTANCE_GPIOA5,
	IAXXX_DEV_INSTANCE_GPIOA6,
	IAXXX_DEV_INSTANCE_GPIOA7,
	IAXXX_DEV_INSTANCE_GPIOA8,
	IAXXX_DEV_INSTANCE_GPIOA9,
	IAXXX_DEV_INSTANCE_GPIOA10,
	IAXXX_DEV_INSTANCE_GPIOA11,
	IAXXX_DEV_INSTANCE_GPIOA12,
	IAXXX_DEV_INSTANCE_GPIOA13,
	IAXXX_DEV_INSTANCE_GPIOA14,
	IAXXX_DEV_INSTANCE_GPIOA15,
	IAXXX_DEV_INSTANCE_GPIOA16,
	IAXXX_DEV_INSTANCE_GPIOA17,
	IAXXX_DEV_INSTANCE_GPIOA18,
	IAXXX_DEV_INSTANCE_GPIOA19,
	IAXXX_DEV_INSTANCE_GPIOA20,
	IAXXX_DEV_INSTANCE_GPIOA21,
	IAXXX_DEV_INSTANCE_GPIOA22,
	IAXXX_DEV_INSTANCE_GPIOA23,
	IAXXX_DEV_INSTANCE_GPIOA24,
	IAXXX_DEV_INSTANCE_GPIOA25,
	IAXXX_DEV_INSTANCE_GPIOA26,
	IAXXX_DEV_INSTANCE_GPIOA27,
	IAXXX_DEV_INSTANCE_GPIOA28,
	IAXXX_DEV_INSTANCE_GPIOA29,
	IAXXX_DEV_INSTANCE_GPIOA30,
	IAXXX_DEV_INSTANCE_GPIOA31,

	IAXXX_DEV_NUM_GPIOA_PINS,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_GPIO_PORTA_FORCE_SIZE = INT_MAX,
};

/** Enum for GPIO Port B pins
 */
enum iaxxx_device_instance_gpio_b_e {
	IAXXX_DEV_INSTANCE_GPIOB0 = 0,
	IAXXX_DEV_INSTANCE_GPIOB1,
	IAXXX_DEV_INSTANCE_GPIOB2,
	IAXXX_DEV_INSTANCE_GPIOB3,
	IAXXX_DEV_INSTANCE_GPIOB4,
	IAXXX_DEV_INSTANCE_GPIOB5,
	IAXXX_DEV_INSTANCE_GPIOB6,
	IAXXX_DEV_INSTANCE_GPIOB7,
	IAXXX_DEV_INSTANCE_GPIOB8,
	IAXXX_DEV_INSTANCE_GPIOB9,
	IAXXX_DEV_INSTANCE_GPIOB10,
	IAXXX_DEV_INSTANCE_GPIOB11,
	IAXXX_DEV_INSTANCE_GPIOB12,
	IAXXX_DEV_INSTANCE_GPIOB13,
	IAXXX_DEV_INSTANCE_GPIOB14,
	IAXXX_DEV_INSTANCE_GPIOB15,
	IAXXX_DEV_INSTANCE_GPIOB16,
	IAXXX_DEV_INSTANCE_GPIOB17,
	IAXXX_DEV_INSTANCE_GPIOB18,
	IAXXX_DEV_INSTANCE_GPIOB19,
	IAXXX_DEV_INSTANCE_GPIOB20,
	IAXXX_DEV_INSTANCE_GPIOB21,
	IAXXX_DEV_INSTANCE_GPIOB22,
	IAXXX_DEV_INSTANCE_GPIOB23,
	IAXXX_DEV_INSTANCE_GPIOB24,
	IAXXX_DEV_INSTANCE_GPIOB25,
	IAXXX_DEV_INSTANCE_GPIOB26,
	IAXXX_DEV_INSTANCE_GPIOB27,
	IAXXX_DEV_INSTANCE_GPIOB28,

	IAXXX_DEV_NUM_GPIOB_PINS,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_GPIOB_FORCE_SIZE = INT_MAX,
};

/* Enum defining the instances of AF.
 * The code has two drivers ids defined for AF.
 * AF_DRIVER   AF_DRIVER_PATCH
 * for the AF
 */
enum iaxxx_device_instance_af_e {
	IAXXX_DEV_INSTANCE_AF0 = 0,
	/*Current Implementation has two driver ids
	 *for AF and AF_PATCH
	 */
	IAXXX_DEV_INSTANCE_AF_PATCH,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_AF_FORCE_SIZE = INT_MAX,
};

enum iaxxx_device_instance_timer_e {
	IAXXX_DEV_INSTANCE_TIMER0 = 0,
	IAXXX_DEV_INSTANCE_TIMER1,
	IAXXX_DEV_INSTANCE_TIMER2,
	IAXXX_DEV_INSTANCE_TIMER3,
	IAXXX_DEV_INSTANCE_TIMER4,
	IAXXX_DEV_INSTANCE_TIMER5,
	IAXXX_DEV_INSTANCE_TIMER6,
	IAXXX_DEV_INSTANCE_TIMER7,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_TIMER_FORCE_SIZE = INT_MAX,
};

enum {
	/** Power Manager
	 */
	IAXXX_MODULE_TYPE_PWR_MGR = 0,
	/** Control Manager
	 */
	IAXXX_MODULE_TYPE_CTRL_MGR,
	/** Event Manager
	 */
	IAXXX_MODULE_TYPE_EVT_MGR,
	/** Plugin Package Manager
	 */
	IAXXX_MODULE_TYPE_PLUGIN_MGR,
	/** Flash Manager
	 */
	IAXXX_MODULE_TYPE_FLASH_MGR,

	/** Stream Manager
	 */
	IAXXX_MODULE_TYPE_STREAM_MGR,
	/** Tunnel Manager
	 */
	IAXXX_MODULE_TYPE_TUNNEL_MGR,
	/** Plugin Virtual Machine
	 */
	IAXXX_MODULE_TYPE_PLUGIN_VM,

	/** Controller
	 */
	IAXXX_MODULE_TYPE_CONTROLLER,

	/** Button Manager
	 */
	IAXXX_MODULE_TYPE_BUTTON_MGR,
	/** LED Manager
	 */
	IAXXX_MODULE_TYPE_LED_MGR,
	/** Route Manager
	 */
	IAXXX_MODULE_TYPE_ROUTES_MGR,
	/** USB Manager
	 */
	IAXXX_MODULE_TYPE_USB_MGR,
	/** Bluetooth manager
	 */
	IAXXX_MODULE_TYPE_BT_MGR,
	/** Bluetooth core
	 */
	IAXXX_MODULE_TYPE_BT_CORE,
	/** MIPS profiler
	 */
	IAXXX_MODULE_TYPE_MIPS_PROFILER,
	/** Battery manager
	 */
	IAXXX_MODULE_TYPE_BATTERY_MGR,
	/** Sensor manager
	 */
	IAXXX_MODULE_TYPE_SENSOR_MGR,

	/** System Service
	 */
	IAXXX_MODULE_TYPE_SYSTEM_SERVICE,
	/** USB Service
	 */
	IAXXX_MODULE_TYPE_USB_SERVICE,
	/** UI Service
	 */
	IAXXX_MODULE_TYPE_UI_SERVICE,
	/** Notify Service
	 */
	IAXXX_MODULE_TYPE_NOTIFY_SERVICE,

	/** System App
	 */
	IAXXX_MODULE_TYPE_SYSTEM_APP,
	/** Debug and Monitor
	 */
	IAXXX_MODULE_TYPE_DEBUG_MONITOR,
	/** Script Manager
	 */
	IAXXX_MODULE_TYPE_SCRIPT_MGR,

	/** Template Module
	 */
	IAXXX_MODULE_TYPE_TEMPLATE,
	/** Number of modules in the system
	 */
	IAXXX_MODULE_TYPE_NUM,
	/** Maximum limit on number of modules
	 */
	IAXXX_MODULE_TYPE_MAX = 32,

	/* Force enums to be of size int */
	IAXXX_MODULE_TYPE_FORCE_SIZE = INT_MAX,
};

#define IAXXX_SYSID_MODULE_PWR_MGR                           \
(IAXXX_SYSID_GEN_MODULE_SYSID(CTRL_PROC_ID, IAXXX_MODULE_TYPE_PWR_MGR, 0))

/** System id for the control manager module
 * for a specific processor
 */
#define IAXXX_SYSID_MODULE_CTRL_MGR(proc)                    \
	(IAXXX_SYSID_GEN_MODULE_SYSID(proc, IAXXX_MODULE_TYPE_CTRL_MGR, 0))

/** System id for the script manager module
 */
#define IAXXX_SYSID_MODULE_SCRIPT_MGR (IAXXX_SYSID_GEN_MODULE_SYSID \
		      (CTRL_PROC_ID, IAXXX_MODULE_TYPE_SCRIPT_MGR, 0))

/** System id for the event manager module
 */
#define IAXXX_SYSID_MODULE_EVT_MGR                           \
(IAXXX_SYSID_GEN_MODULE_SYSID(CTRL_PROC_ID, IAXXX_MODULE_TYPE_EVT_MGR, 0))

/** System id for the plugin package manager module
 */
#define IAXXX_SYSID_MODULE_PLUGIN_MGR (IAXXX_SYSID_GEN_MODULE_SYSID \
			(CTRL_PROC_ID, IAXXX_MODULE_TYPE_PLUGIN_MGR, 0))

/** System id for the flash manager module
 */
#define IAXXX_SYSID_MODULE_FLASHMGR (IAXXX_SYSID_GEN_MODULE_SYSID  \
			(CTRL_PROC_ID, IAXXX_MODULE_TYPE_FLASH_MGR, 0))

/** System id for the battery manager module
 */
#define IAXXX_SYSID_MODULE_BATTERYMGR (IAXXX_SYSID_GEN_MODULE_SYSID \
		      (CTRL_PROC_ID, IAXXX_MODULE_TYPE_BATTERY_MGR, 0))

/** System id for the power manager module
 */
#define IAXXX_SYSID_MODULE_STREAM_MGR (IAXXX_SYSID_GEN_MODULE_SYSID \
		       (CTRL_PROC_ID, IAXXX_MODULE_TYPE_STREAM_MGR, 0))

/** System id for the tunnel manager module
 */
#define IAXXX_SYSID_MODULE_TUNNEL_MGR(inst) (IAXXX_SYSID_GEN_MODULE_SYSID \
		     (CTRL_PROC_ID, IAXXX_MODULE_TYPE_TUNNEL_MGR, inst))

/** System id for the specific instance of
 * plugin virtual machine module on specific processor
 */
#define IAXXX_SYSID_MODULE_PLUGIN_VM(proc, inst)             \
	(IAXXX_SYSID_GEN_MODULE_SYSID(proc, IAXXX_MODULE_TYPE_PLUGIN_VM, inst))

/** System id for the controller module
 */
#define IAXXX_SYSID_MODULE_CONTROLLER (IAXXX_SYSID_GEN_MODULE_SYSID \
			(CTRL_PROC_ID, IAXXX_MODULE_TYPE_CONTROLLER, 0))

/** System id for the button manager module
 */
#define IAXXX_SYSID_MODULE_BUTTON_MGR (IAXXX_SYSID_GEN_MODULE_SYSID \
			(CTRL_PROC_ID, IAXXX_MODULE_TYPE_BUTTON_MGR, 0))

/** System id for the LED manager module
 */
#define IAXXX_SYSID_MODULE_LED_MGR                \
(IAXXX_SYSID_GEN_MODULE_SYSID(CTRL_PROC_ID, IAXXX_MODULE_TYPE_LED_MGR, 0))

/** System id for the route manager module
 */
#define IAXXX_SYSID_MODULE_ROUTES_MGR (IAXXX_SYSID_GEN_MODULE_SYSID \
			(CTRL_PROC_ID, IAXXX_MODULE_TYPE_ROUTES_MGR, 0))

/** System id for the USB manager module
 */
#define IAXXX_SYSID_MODULE_USB_MGR                \
(IAXXX_SYSID_GEN_MODULE_SYSID(CTRL_PROC_ID, IAXXX_MODULE_TYPE_USB_MGR, 0))

/** System id for the bluetooth manager module
 */
#define IAXXX_SYSID_MODULE_BT_MGR                 \
(IAXXX_SYSID_GEN_MODULE_SYSID(LOCAL_PROC_ID, IAXXX_MODULE_TYPE_BT_MGR, 0))

/** System id for the bluetooth core module
 */
#define IAXXX_SYSID_MODULE_BT_CORE                \
(IAXXX_SYSID_GEN_MODULE_SYSID(LOCAL_PROC_ID, IAXXX_MODULE_TYPE_BT_CORE, 0))

/** System id for the MIPS profiler module
 */
#define IAXXX_SYSID_MODULE_MIPS_PROFILER(proc)    \
(IAXXX_SYSID_GEN_MODULE_SYSID(proc, IAXXX_MODULE_TYPE_MIPS_PROFILER, 0))

/** System id for the sensor manager module
 */
#define IAXXX_SYSID_MODULE_SENSOR_MGR (IAXXX_SYSID_GEN_MODULE_SYSID \
		      (CTRL_PROC_ID, IAXXX_MODULE_TYPE_SENSOR_MGR, 0))

/** System id for the system service module
 */
#define IAXXX_SYSID_MODULE_SYSTEM_SERVICE (IAXXX_SYSID_GEN_MODULE_SYSID \
		   (CTRL_PROC_ID, IAXXX_MODULE_TYPE_SYSTEM_SERVICE, 0))

/** System id for the USB service module
 */
#define IAXXX_SYSID_MODULE_USB_SERVICE (IAXXX_SYSID_GEN_MODULE_SYSID \
		      (CTRL_PROC_ID, IAXXX_MODULE_TYPE_USB_SERVICE, 0))

/** System id for the user interface service module
 */
#define IAXXX_SYSID_MODULE_UI_SERVICE (IAXXX_SYSID_GEN_MODULE_SYSID \
		       (CTRL_PROC_ID, IAXXX_MODULE_TYPE_UI_SERVICE, 0))

/** System id for the notify service module
 */
#define IAXXX_SYSID_MODULE_NOTIFY_SERVICE (IAXXX_SYSID_GEN_MODULE_SYSID \
		   (CTRL_PROC_ID, IAXXX_MODULE_TYPE_NOTIFY_SERVICE, 0))

/** System id for the System app
 */
#define IAXXX_SYSID_MODULE_SYSTEM_APP (IAXXX_SYSID_GEN_MODULE_SYSID \
		      (LOCAL_PROC_ID, IAXXX_MODULE_TYPE_SYSTEM_APP, 0))


/** System id for the template module
 */
#define IAXXX_SYSID_MODULE_TEMPLATE               \
(IAXXX_SYSID_GEN_MODULE_SYSID(CTRL_PROC_ID, IAXXX_MODULE_TYPE_TEMPLATE, 0))

/** System id for the debug module
 */
#define IAXXX_SYSID_MODULE_DEBUG(proc)            \
(IAXXX_SYSID_GEN_MODULE_SYSID(proc, IAXXX_MODULE_TYPE_DEBUG_MONITOR, 0))

/** The System Ids for all the existing driver.
 * Sorted by the current  driver id order
 */
#define IAXXX_SYSID_I2C0        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2C, IAXXX_DEV_INSTANCE_I2C0))
#define IAXXX_SYSID_I2C1        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2C, IAXXX_DEV_INSTANCE_I2C1))
#define IAXXX_SYSID_I2C2        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2C, IAXXX_DEV_INSTANCE_I2C2))
#define IAXXX_SYSID_I2C3        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2C, IAXXX_DEV_INSTANCE_I2C3))
#define IAXXX_SYSID_I2C4        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2C, IAXXX_DEV_INSTANCE_I2C4))

#define IAXXX_SYSID_UART0       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_UART, IAXXX_DEV_INSTANCE_UART0))
#define IAXXX_SYSID_UART1       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_UART, IAXXX_DEV_INSTANCE_UART1))

#define IAXXX_SYSID_SPI0        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_SPI, IAXXX_DEV_INSTANCE_SPI0))
#define IAXXX_SYSID_SPI1        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_SPI, IAXXX_DEV_INSTANCE_SPI1))
#define IAXXX_SYSID_SPI2        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_SPI, IAXXX_DEV_INSTANCE_SPI2))

#define IAXXX_SYSID_SLBUS_C     (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_SLIMBUS_CTRL, IAXXX_DEV_INSTANCE_SLBUS0))

#define IAXXX_SYSID_GPIO        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_GPIO, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_SSP         (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_SSP, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_AF0         (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_AF, IAXXX_DEV_INSTANCE_AF0))

#define IAXXX_SYSID_DMA_STRM    (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_DMA_STRM, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_FILTER_IN0  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_IN, IAXXX_DEV_INSTANCE_FILTER_IN0))
#define IAXXX_SYSID_FILTER_IN1  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_IN, IAXXX_DEV_INSTANCE_FILTER_IN1))
#define IAXXX_SYSID_FILTER_IN2  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_IN, IAXXX_DEV_INSTANCE_FILTER_IN2))
#define IAXXX_SYSID_FILTER_IN3  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_IN, IAXXX_DEV_INSTANCE_FILTER_IN3))
#define IAXXX_SYSID_FILTER_IN4  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_IN, IAXXX_DEV_INSTANCE_FILTER_IN4))
#define IAXXX_SYSID_FILTER_IN5  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_IN, IAXXX_DEV_INSTANCE_FILTER_IN5))
#define IAXXX_SYSID_FILTER_IN6  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_IN, IAXXX_DEV_INSTANCE_FILTER_IN6))
#define IAXXX_SYSID_FILTER_IN7  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_IN, IAXXX_DEV_INSTANCE_FILTER_IN7))
#define IAXXX_SYSID_FILTER_OUT0 (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_OUT, IAXXX_DEV_INSTANCE_FILTER_OUT0))
#define IAXXX_SYSID_FILTER_OUT1 (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FILTER_OUT, IAXXX_DEV_INSTANCE_FILTER_OUT1))

#define IAXXX_SYSID_STMR_TIMER  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_STMR_TIMER, IAXXX_DEV_SINGLE_INSTANCE))
#define IAXXX_SYSID_STMR_PT     (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_STMR_PT, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_SW_TIMER    (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_SW_TIMER, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_TIMER(n)    (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_TIMER, IAXXX_DEV_INSTANCE_TIMER##n))

#define IAXXX_SYSID_DMA         (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_DMA, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_PCM0        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PCM, IAXXX_DEV_INSTANCE_PCM0))
#define IAXXX_SYSID_PCM1        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PCM, IAXXX_DEV_INSTANCE_PCM1))
#define IAXXX_SYSID_PCM2        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PCM, IAXXX_DEV_INSTANCE_PCM2))
#define IAXXX_SYSID_PCM3        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PCM, IAXXX_DEV_INSTANCE_PCM3))
#define IAXXX_SYSID_PCM4        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PCM, IAXXX_DEV_INSTANCE_PCM4))
#define IAXXX_SYSID_PCM5        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PCM, IAXXX_DEV_INSTANCE_PCM5))

#define IAXXX_SYSID_SLBUS_D     (IAXXX_SYSID_GEN_DRIVER_SYSID \
(IAXXX_SYSID_DRIVER_TYPE_SLIMBUS_DATA, IAXXX_DEV_INSTANCE_SLBUS0))

#define IAXXX_SYSID_PDMI0       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_IN, IAXXX_DEV_INSTANCE_PDMI0))
#define IAXXX_SYSID_PDMI1       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_IN, IAXXX_DEV_INSTANCE_PDMI1))
#define IAXXX_SYSID_PDMI2       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_IN, IAXXX_DEV_INSTANCE_PDMI2))
#define IAXXX_SYSID_PDMI3       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_IN, IAXXX_DEV_INSTANCE_PDMI3))
#define IAXXX_SYSID_PDMI4       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_IN, IAXXX_DEV_INSTANCE_PDMI4))
#define IAXXX_SYSID_PDMI5       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_IN, IAXXX_DEV_INSTANCE_PDMI5))
#define IAXXX_SYSID_PDMI6       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_IN, IAXXX_DEV_INSTANCE_PDMI6))
#define IAXXX_SYSID_PDMI7       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_IN, IAXXX_DEV_INSTANCE_PDMI7))
#define IAXXX_SYSID_PDMO0       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_OUT, IAXXX_DEV_INSTANCE_PDMO0))
#define IAXXX_SYSID_PDMO1       (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_PDM_OUT, IAXXX_DEV_INSTANCE_PDMO1))

#define IAXXX_SYSID_DAC0 (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_DAC, IAXXX_DEV_INSTANCE_DAC0))
#define IAXXX_SYSID_DAC1 (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_DAC, IAXXX_DEV_INSTANCE_DAC1))

#define IAXXX_SYSID_A400        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_A400, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_FLASHDRV    (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FLASHDRV, IAXXX_DEV_SINGLE_INSTANCE))
#define IAXXX_SYSID_USBDRV      (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_USBDRV,   IAXXX_DEV_SINGLE_INSTANCE))
#define IAXXX_SYSID_CSR8811DRV  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_CSR8811,  IAXXX_DEV_SINGLE_INSTANCE))
#define IAXXX_SYSID_CYW20707DRV (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_CYW20707, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_I2S0        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2S, IAXXX_DEV_INSTANCE_I2S0))
#define IAXXX_SYSID_I2S1        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2S, IAXXX_DEV_INSTANCE_I2S1))
#define IAXXX_SYSID_I2S2        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2S, IAXXX_DEV_INSTANCE_I2S2))
#define IAXXX_SYSID_I2S3        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2S, IAXXX_DEV_INSTANCE_I2S3))
#define IAXXX_SYSID_I2S4        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2S, IAXXX_DEV_INSTANCE_I2S4))
#define IAXXX_SYSID_I2S5        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2S, IAXXX_DEV_INSTANCE_I2S5))
#define IAXXX_SYSID_I2S6        (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_I2S, IAXXX_DEV_INSTANCE_I2S6))

#define IAXXX_SYSID_REGMAP      (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_REGMAP, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_GPIO_A      (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_GPIOA,  IAXXX_DEV_INSTANCE_GPIOA0))
#define IAXXX_SYSID_GPIO_B      (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_GPIOB,  IAXXX_DEV_INSTANCE_GPIOB0))

#define IAXXX_SYSID_BUTTON      (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_BUTTON, IAXXX_DEV_SINGLE_INSTANCE))
#define IAXXX_SYSID_LED         (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_LED,    IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_ADAU1361DRV (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_ADAU1361, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_MAC         (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_MAC, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_BQ27425DRV  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_BQ27425, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_SENSORDRV   (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_SENSOR, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_FLICKERDRV   (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_FLICKER, IAXXX_DEV_SINGLE_INSTANCE))

#define IAXXX_SYSID_CPUSTRMDRV  (IAXXX_SYSID_GEN_DRIVER_SYSID \
	(IAXXX_SYSID_DRIVER_TYPE_CPUSTRMDRV, IAXXX_DEV_SINGLE_INSTANCE))

/* Sum of all Audio ports */
#define IAXXX_PORT_NUM_INSTANCES  \
	(IAXXX_DEV_NUM_INSTANCE_PCM  + IAXXX_DEV_NUM_INSTANCE_SLBUS +    \
	IAXXX_DEV_NUM_INSTANCE_PDMI + IAXXX_DEV_NUM_INSTANCE_PDMO  +     \
	IAXXX_DEV_NUM_INSTANCE_DAC  + IAXXX_DEV_NUM_INSTANCE_I2S)


/** Enum defining the instances of button
 */
enum iaxxx_device_instance_button_e {
	IAXXX_DEV_INSTANCE_BUTTON0 = 0,
	IAXXX_DEV_INSTANCE_BUTTON1,
	IAXXX_DEV_INSTANCE_BUTTON2,
	IAXXX_DEV_INSTANCE_BUTTON3,
	IAXXX_DEV_INSTANCE_BUTTON4,
	IAXXX_DEV_INSTANCE_BUTTON5,
	IAXXX_DEV_INSTANCE_BUTTON6,
	IAXXX_DEV_INSTANCE_BUTTON7,
	IAXXX_DEV_INSTANCE_BUTTON8,
	IAXXX_DEV_INSTANCE_BUTTON9,
	IAXXX_DEV_INSTANCE_BUTTON10,
	IAXXX_DEV_INSTANCE_BUTTON11,
	IAXXX_DEV_INSTANCE_BUTTON12,
	IAXXX_DEV_INSTANCE_BUTTON13,
	IAXXX_DEV_INSTANCE_BUTTON14,
	IAXXX_DEV_INSTANCE_BUTTON15,
	IAXXX_DEV_INSTANCE_BUTTON16,
	IAXXX_DEV_INSTANCE_BUTTON17,
	IAXXX_DEV_INSTANCE_BUTTON18,
	IAXXX_DEV_INSTANCE_BUTTON19,
	IAXXX_DEV_INSTANCE_BUTTON20,
	IAXXX_DEV_INSTANCE_BUTTON21,
	IAXXX_DEV_INSTANCE_BUTTON22,
	IAXXX_DEV_INSTANCE_BUTTON23,
	IAXXX_DEV_INSTANCE_BUTTON24,
	IAXXX_DEV_INSTANCE_BUTTON25,
	IAXXX_DEV_INSTANCE_BUTTON26,
	IAXXX_DEV_INSTANCE_BUTTON27,
	IAXXX_DEV_INSTANCE_BUTTON28,
	IAXXX_DEV_INSTANCE_BUTTON29,
	IAXXX_DEV_INSTANCE_BUTTON30,
	IAXXX_DEV_INSTANCE_BUTTON31,
	IAXXX_DEV_INSTANCE_BUTTON32,
	IAXXX_DEV_INSTANCE_BUTTON33,
	IAXXX_DEV_INSTANCE_BUTTON34,
	IAXXX_DEV_INSTANCE_BUTTON35,
	IAXXX_DEV_INSTANCE_BUTTON36,
	IAXXX_DEV_INSTANCE_BUTTON37,
	IAXXX_DEV_INSTANCE_BUTTON38,
	IAXXX_DEV_INSTANCE_BUTTON39,
	IAXXX_DEV_INSTANCE_BUTTON40,
	IAXXX_DEV_INSTANCE_BUTTON41,
	IAXXX_DEV_INSTANCE_BUTTON42,
	IAXXX_DEV_INSTANCE_BUTTON43,
	IAXXX_DEV_INSTANCE_BUTTON44,
	IAXXX_DEV_INSTANCE_BUTTON45,
	IAXXX_DEV_INSTANCE_BUTTON46,
	IAXXX_DEV_INSTANCE_BUTTON47,
	IAXXX_DEV_INSTANCE_BUTTON48,
	IAXXX_DEV_INSTANCE_BUTTON49,
	IAXXX_DEV_INSTANCE_BUTTON50,
	IAXXX_DEV_INSTANCE_BUTTON51,
	IAXXX_DEV_INSTANCE_BUTTON52,
	IAXXX_DEV_INSTANCE_BUTTON53,
	IAXXX_DEV_INSTANCE_BUTTON54,
	IAXXX_DEV_INSTANCE_BUTTON55,
	IAXXX_DEV_INSTANCE_BUTTON56,
	IAXXX_DEV_INSTANCE_BUTTON57,
	IAXXX_DEV_INSTANCE_BUTTON58,
	IAXXX_DEV_INSTANCE_BUTTON59,
	IAXXX_DEV_INSTANCE_BUTTON60,
	IAXXX_DEV_INSTANCE_BUTTON61,
	IAXXX_DEV_INSTANCE_BUTTON62,
	IAXXX_DEV_INSTANCE_BUTTON63,

	IAXXX_DEV_NUM_INSTANCE_BUTTON,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_BUTTON_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of LED
 */
enum iaxxx_device_instance_led_e {
	IAXXX_DEV_INSTANCE_LED0 = 0,
	IAXXX_DEV_INSTANCE_LED1,
	IAXXX_DEV_INSTANCE_LED2,
	IAXXX_DEV_INSTANCE_LED3,
	IAXXX_DEV_INSTANCE_LED4,
	IAXXX_DEV_INSTANCE_LED5,
	IAXXX_DEV_INSTANCE_LED6,
	IAXXX_DEV_INSTANCE_LED7,
	IAXXX_DEV_INSTANCE_LED8,
	IAXXX_DEV_INSTANCE_LED9,
	IAXXX_DEV_INSTANCE_LED10,
	IAXXX_DEV_INSTANCE_LED11,
	IAXXX_DEV_INSTANCE_LED12,
	IAXXX_DEV_INSTANCE_LED13,
	IAXXX_DEV_INSTANCE_LED14,
	IAXXX_DEV_INSTANCE_LED15,
	IAXXX_DEV_INSTANCE_LED16,
	IAXXX_DEV_INSTANCE_LED17,
	IAXXX_DEV_INSTANCE_LED18,
	IAXXX_DEV_INSTANCE_LED19,
	IAXXX_DEV_INSTANCE_LED20,
	IAXXX_DEV_INSTANCE_LED21,
	IAXXX_DEV_INSTANCE_LED22,
	IAXXX_DEV_INSTANCE_LED23,
	IAXXX_DEV_INSTANCE_LED24,
	IAXXX_DEV_INSTANCE_LED25,
	IAXXX_DEV_INSTANCE_LED26,
	IAXXX_DEV_INSTANCE_LED27,
	IAXXX_DEV_INSTANCE_LED28,
	IAXXX_DEV_INSTANCE_LED29,
	IAXXX_DEV_INSTANCE_LED30,
	IAXXX_DEV_INSTANCE_LED31,
	IAXXX_DEV_INSTANCE_LED32,
	IAXXX_DEV_INSTANCE_LED33,
	IAXXX_DEV_INSTANCE_LED34,
	IAXXX_DEV_INSTANCE_LED35,
	IAXXX_DEV_INSTANCE_LED36,
	IAXXX_DEV_INSTANCE_LED37,
	IAXXX_DEV_INSTANCE_LED38,
	IAXXX_DEV_INSTANCE_LED39,
	IAXXX_DEV_INSTANCE_LED40,
	IAXXX_DEV_INSTANCE_LED41,
	IAXXX_DEV_INSTANCE_LED42,
	IAXXX_DEV_INSTANCE_LED43,
	IAXXX_DEV_INSTANCE_LED44,
	IAXXX_DEV_INSTANCE_LED45,
	IAXXX_DEV_INSTANCE_LED46,
	IAXXX_DEV_INSTANCE_LED47,
	IAXXX_DEV_INSTANCE_LED48,
	IAXXX_DEV_INSTANCE_LED49,
	IAXXX_DEV_INSTANCE_LED50,
	IAXXX_DEV_INSTANCE_LED51,
	IAXXX_DEV_INSTANCE_LED52,
	IAXXX_DEV_INSTANCE_LED53,
	IAXXX_DEV_INSTANCE_LED54,
	IAXXX_DEV_INSTANCE_LED55,
	IAXXX_DEV_INSTANCE_LED56,
	IAXXX_DEV_INSTANCE_LED57,
	IAXXX_DEV_INSTANCE_LED58,
	IAXXX_DEV_INSTANCE_LED59,
	IAXXX_DEV_INSTANCE_LED60,
	IAXXX_DEV_INSTANCE_LED61,
	IAXXX_DEV_INSTANCE_LED62,
	IAXXX_DEV_INSTANCE_LED63,

	IAXXX_DEV_NUM_INSTANCE_LED,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_LED_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of Flash
 */
enum iaxxx_device_instance_flash_e {
	IAXXX_DEV_INSTANCE_FLASH0 = 0,
	IAXXX_DEV_INSTANCE_FLASH1,
	IAXXX_DEV_INSTANCE_FLASH2,
	IAXXX_DEV_INSTANCE_FLASH3,
	IAXXX_DEV_INSTANCE_FLASH4,
	IAXXX_DEV_INSTANCE_FLASH5,
	IAXXX_DEV_INSTANCE_FLASH6,
	IAXXX_DEV_INSTANCE_FLASH7,
	IAXXX_DEV_INSTANCE_FLASH8,
	IAXXX_DEV_INSTANCE_FLASH9,
	IAXXX_DEV_INSTANCE_FLASH10,
	IAXXX_DEV_INSTANCE_FLASH11,
	IAXXX_DEV_INSTANCE_FLASH12,
	IAXXX_DEV_INSTANCE_FLASH13,
	IAXXX_DEV_INSTANCE_FLASH14,
	IAXXX_DEV_INSTANCE_FLASH15,
	IAXXX_DEV_INSTANCE_FLASH16,
	IAXXX_DEV_INSTANCE_FLASH17,
	IAXXX_DEV_INSTANCE_FLASH18,
	IAXXX_DEV_INSTANCE_FLASH19,
	IAXXX_DEV_INSTANCE_FLASH20,
	IAXXX_DEV_INSTANCE_FLASH21,
	IAXXX_DEV_INSTANCE_FLASH22,
	IAXXX_DEV_INSTANCE_FLASH23,
	IAXXX_DEV_INSTANCE_FLASH24,
	IAXXX_DEV_INSTANCE_FLASH25,
	IAXXX_DEV_INSTANCE_FLASH26,
	IAXXX_DEV_INSTANCE_FLASH27,
	IAXXX_DEV_INSTANCE_FLASH28,
	IAXXX_DEV_INSTANCE_FLASH29,
	IAXXX_DEV_INSTANCE_FLASH30,
	IAXXX_DEV_INSTANCE_FLASH31,
	IAXXX_DEV_INSTANCE_FLASH32,
	IAXXX_DEV_INSTANCE_FLASH33,
	IAXXX_DEV_INSTANCE_FLASH34,
	IAXXX_DEV_INSTANCE_FLASH35,
	IAXXX_DEV_INSTANCE_FLASH36,
	IAXXX_DEV_INSTANCE_FLASH37,
	IAXXX_DEV_INSTANCE_FLASH38,
	IAXXX_DEV_INSTANCE_FLASH39,
	IAXXX_DEV_INSTANCE_FLASH40,
	IAXXX_DEV_INSTANCE_FLASH41,
	IAXXX_DEV_INSTANCE_FLASH42,
	IAXXX_DEV_INSTANCE_FLASH43,
	IAXXX_DEV_INSTANCE_FLASH44,
	IAXXX_DEV_INSTANCE_FLASH45,
	IAXXX_DEV_INSTANCE_FLASH46,
	IAXXX_DEV_INSTANCE_FLASH47,
	IAXXX_DEV_INSTANCE_FLASH48,
	IAXXX_DEV_INSTANCE_FLASH49,
	IAXXX_DEV_INSTANCE_FLASH50,
	IAXXX_DEV_INSTANCE_FLASH51,
	IAXXX_DEV_INSTANCE_FLASH52,
	IAXXX_DEV_INSTANCE_FLASH53,
	IAXXX_DEV_INSTANCE_FLASH54,
	IAXXX_DEV_INSTANCE_FLASH55,
	IAXXX_DEV_INSTANCE_FLASH56,
	IAXXX_DEV_INSTANCE_FLASH57,
	IAXXX_DEV_INSTANCE_FLASH58,
	IAXXX_DEV_INSTANCE_FLASH59,
	IAXXX_DEV_INSTANCE_FLASH60,
	IAXXX_DEV_INSTANCE_FLASH61,
	IAXXX_DEV_INSTANCE_FLASH62,
	IAXXX_DEV_INSTANCE_FLASH63,

	IAXXX_DEV_NUM_INSTANCE_FLASH,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_FLASH_FORCE_SIZE = INT_MAX,
};

/** Enum defining the instances of Codec
 */
enum iaxxx_device_instance_codec_e {
	IAXXX_DEV_INSTANCE_CODEC0 = 0,
	IAXXX_DEV_INSTANCE_CODEC1,
	IAXXX_DEV_INSTANCE_CODEC2,
	IAXXX_DEV_INSTANCE_CODEC3,
	IAXXX_DEV_INSTANCE_CODEC4,
	IAXXX_DEV_INSTANCE_CODEC5,
	IAXXX_DEV_INSTANCE_CODEC6,
	IAXXX_DEV_INSTANCE_CODEC7,
	IAXXX_DEV_INSTANCE_CODEC8,
	IAXXX_DEV_INSTANCE_CODEC9,
	IAXXX_DEV_INSTANCE_CODEC10,
	IAXXX_DEV_INSTANCE_CODEC11,
	IAXXX_DEV_INSTANCE_CODEC12,
	IAXXX_DEV_INSTANCE_CODEC13,
	IAXXX_DEV_INSTANCE_CODEC14,
	IAXXX_DEV_INSTANCE_CODEC15,
	IAXXX_DEV_INSTANCE_CODEC16,
	IAXXX_DEV_INSTANCE_CODEC17,
	IAXXX_DEV_INSTANCE_CODEC18,
	IAXXX_DEV_INSTANCE_CODEC19,
	IAXXX_DEV_INSTANCE_CODEC20,
	IAXXX_DEV_INSTANCE_CODEC21,
	IAXXX_DEV_INSTANCE_CODEC22,
	IAXXX_DEV_INSTANCE_CODEC23,
	IAXXX_DEV_INSTANCE_CODEC24,
	IAXXX_DEV_INSTANCE_CODEC25,
	IAXXX_DEV_INSTANCE_CODEC26,
	IAXXX_DEV_INSTANCE_CODEC27,
	IAXXX_DEV_INSTANCE_CODEC28,
	IAXXX_DEV_INSTANCE_CODEC29,
	IAXXX_DEV_INSTANCE_CODEC30,
	IAXXX_DEV_INSTANCE_CODEC31,
	IAXXX_DEV_INSTANCE_CODEC32,
	IAXXX_DEV_INSTANCE_CODEC33,
	IAXXX_DEV_INSTANCE_CODEC34,
	IAXXX_DEV_INSTANCE_CODEC35,
	IAXXX_DEV_INSTANCE_CODEC36,
	IAXXX_DEV_INSTANCE_CODEC37,
	IAXXX_DEV_INSTANCE_CODEC38,
	IAXXX_DEV_INSTANCE_CODEC39,
	IAXXX_DEV_INSTANCE_CODEC40,
	IAXXX_DEV_INSTANCE_CODEC41,
	IAXXX_DEV_INSTANCE_CODEC42,
	IAXXX_DEV_INSTANCE_CODEC43,
	IAXXX_DEV_INSTANCE_CODEC44,
	IAXXX_DEV_INSTANCE_CODEC45,
	IAXXX_DEV_INSTANCE_CODEC46,
	IAXXX_DEV_INSTANCE_CODEC47,
	IAXXX_DEV_INSTANCE_CODEC48,
	IAXXX_DEV_INSTANCE_CODEC49,
	IAXXX_DEV_INSTANCE_CODEC50,
	IAXXX_DEV_INSTANCE_CODEC51,
	IAXXX_DEV_INSTANCE_CODEC52,
	IAXXX_DEV_INSTANCE_CODEC53,
	IAXXX_DEV_INSTANCE_CODEC54,
	IAXXX_DEV_INSTANCE_CODEC55,
	IAXXX_DEV_INSTANCE_CODEC56,
	IAXXX_DEV_INSTANCE_CODEC57,
	IAXXX_DEV_INSTANCE_CODEC58,
	IAXXX_DEV_INSTANCE_CODEC59,
	IAXXX_DEV_INSTANCE_CODEC60,
	IAXXX_DEV_INSTANCE_CODEC61,
	IAXXX_DEV_INSTANCE_CODEC62,
	IAXXX_DEV_INSTANCE_CODEC63,

	IAXXX_DEV_NUM_INSTANCE_CODEC,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of Sensor
 */
enum iaxxx_device_instance_sensor_e {
	IAXXX_DEV_INSTANCE_SENSOR0 = 0,
	IAXXX_DEV_INSTANCE_SENSOR1,
	IAXXX_DEV_INSTANCE_SENSOR2,
	IAXXX_DEV_INSTANCE_SENSOR3,
	IAXXX_DEV_INSTANCE_SENSOR4,
	IAXXX_DEV_INSTANCE_SENSOR5,
	IAXXX_DEV_INSTANCE_SENSOR6,
	IAXXX_DEV_INSTANCE_SENSOR7,
	IAXXX_DEV_INSTANCE_SENSOR8,
	IAXXX_DEV_INSTANCE_SENSOR9,
	IAXXX_DEV_INSTANCE_SENSOR10,
	IAXXX_DEV_INSTANCE_SENSOR11,
	IAXXX_DEV_INSTANCE_SENSOR12,
	IAXXX_DEV_INSTANCE_SENSOR13,
	IAXXX_DEV_INSTANCE_SENSOR14,
	IAXXX_DEV_INSTANCE_SENSOR15,
	IAXXX_DEV_INSTANCE_SENSOR16,
	IAXXX_DEV_INSTANCE_SENSOR17,
	IAXXX_DEV_INSTANCE_SENSOR18,
	IAXXX_DEV_INSTANCE_SENSOR19,
	IAXXX_DEV_INSTANCE_SENSOR20,
	IAXXX_DEV_INSTANCE_SENSOR21,
	IAXXX_DEV_INSTANCE_SENSOR22,
	IAXXX_DEV_INSTANCE_SENSOR23,
	IAXXX_DEV_INSTANCE_SENSOR24,
	IAXXX_DEV_INSTANCE_SENSOR25,
	IAXXX_DEV_INSTANCE_SENSOR26,
	IAXXX_DEV_INSTANCE_SENSOR27,
	IAXXX_DEV_INSTANCE_SENSOR28,
	IAXXX_DEV_INSTANCE_SENSOR29,
	IAXXX_DEV_INSTANCE_SENSOR30,
	IAXXX_DEV_INSTANCE_SENSOR31,
	IAXXX_DEV_INSTANCE_SENSOR32,
	IAXXX_DEV_INSTANCE_SENSOR33,
	IAXXX_DEV_INSTANCE_SENSOR34,
	IAXXX_DEV_INSTANCE_SENSOR35,
	IAXXX_DEV_INSTANCE_SENSOR36,
	IAXXX_DEV_INSTANCE_SENSOR37,
	IAXXX_DEV_INSTANCE_SENSOR38,
	IAXXX_DEV_INSTANCE_SENSOR39,
	IAXXX_DEV_INSTANCE_SENSOR40,
	IAXXX_DEV_INSTANCE_SENSOR41,
	IAXXX_DEV_INSTANCE_SENSOR42,
	IAXXX_DEV_INSTANCE_SENSOR43,
	IAXXX_DEV_INSTANCE_SENSOR44,
	IAXXX_DEV_INSTANCE_SENSOR45,
	IAXXX_DEV_INSTANCE_SENSOR46,
	IAXXX_DEV_INSTANCE_SENSOR47,
	IAXXX_DEV_INSTANCE_SENSOR48,
	IAXXX_DEV_INSTANCE_SENSOR49,
	IAXXX_DEV_INSTANCE_SENSOR50,
	IAXXX_DEV_INSTANCE_SENSOR51,
	IAXXX_DEV_INSTANCE_SENSOR52,
	IAXXX_DEV_INSTANCE_SENSOR53,
	IAXXX_DEV_INSTANCE_SENSOR54,
	IAXXX_DEV_INSTANCE_SENSOR55,
	IAXXX_DEV_INSTANCE_SENSOR56,
	IAXXX_DEV_INSTANCE_SENSOR57,
	IAXXX_DEV_INSTANCE_SENSOR58,
	IAXXX_DEV_INSTANCE_SENSOR59,
	IAXXX_DEV_INSTANCE_SENSOR60,
	IAXXX_DEV_INSTANCE_SENSOR61,
	IAXXX_DEV_INSTANCE_SENSOR62,
	IAXXX_DEV_INSTANCE_SENSOR63,

	IAXXX_DEV_NUM_INSTANCE_SENSOR,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_SENSOR_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of input pin
 */
enum iaxxx_device_instance_input_pin_e {
	IAXXX_DEV_INSTANCE_INPUT_PIN0 = 0,
	IAXXX_DEV_INSTANCE_INPUT_PIN1,
	IAXXX_DEV_INSTANCE_INPUT_PIN2,
	IAXXX_DEV_INSTANCE_INPUT_PIN3,
	IAXXX_DEV_INSTANCE_INPUT_PIN4,
	IAXXX_DEV_INSTANCE_INPUT_PIN5,
	IAXXX_DEV_INSTANCE_INPUT_PIN6,
	IAXXX_DEV_INSTANCE_INPUT_PIN7,
	IAXXX_DEV_INSTANCE_INPUT_PIN8,
	IAXXX_DEV_INSTANCE_INPUT_PIN9,
	IAXXX_DEV_INSTANCE_INPUT_PIN10,
	IAXXX_DEV_INSTANCE_INPUT_PIN11,
	IAXXX_DEV_INSTANCE_INPUT_PIN12,
	IAXXX_DEV_INSTANCE_INPUT_PIN13,
	IAXXX_DEV_INSTANCE_INPUT_PIN14,
	IAXXX_DEV_INSTANCE_INPUT_PIN15,
	IAXXX_DEV_INSTANCE_INPUT_PIN16,
	IAXXX_DEV_INSTANCE_INPUT_PIN17,
	IAXXX_DEV_INSTANCE_INPUT_PIN18,
	IAXXX_DEV_INSTANCE_INPUT_PIN19,
	IAXXX_DEV_INSTANCE_INPUT_PIN20,
	IAXXX_DEV_INSTANCE_INPUT_PIN21,
	IAXXX_DEV_INSTANCE_INPUT_PIN22,
	IAXXX_DEV_INSTANCE_INPUT_PIN23,
	IAXXX_DEV_INSTANCE_INPUT_PIN24,
	IAXXX_DEV_INSTANCE_INPUT_PIN25,
	IAXXX_DEV_INSTANCE_INPUT_PIN26,
	IAXXX_DEV_INSTANCE_INPUT_PIN27,
	IAXXX_DEV_INSTANCE_INPUT_PIN28,
	IAXXX_DEV_INSTANCE_INPUT_PIN29,
	IAXXX_DEV_INSTANCE_INPUT_PIN30,
	IAXXX_DEV_INSTANCE_INPUT_PIN31,
	IAXXX_DEV_INSTANCE_INPUT_PIN32,
	IAXXX_DEV_INSTANCE_INPUT_PIN33,
	IAXXX_DEV_INSTANCE_INPUT_PIN34,
	IAXXX_DEV_INSTANCE_INPUT_PIN35,
	IAXXX_DEV_INSTANCE_INPUT_PIN36,
	IAXXX_DEV_INSTANCE_INPUT_PIN37,
	IAXXX_DEV_INSTANCE_INPUT_PIN38,
	IAXXX_DEV_INSTANCE_INPUT_PIN39,
	IAXXX_DEV_INSTANCE_INPUT_PIN40,
	IAXXX_DEV_INSTANCE_INPUT_PIN41,
	IAXXX_DEV_INSTANCE_INPUT_PIN42,
	IAXXX_DEV_INSTANCE_INPUT_PIN43,
	IAXXX_DEV_INSTANCE_INPUT_PIN44,
	IAXXX_DEV_INSTANCE_INPUT_PIN45,
	IAXXX_DEV_INSTANCE_INPUT_PIN46,
	IAXXX_DEV_INSTANCE_INPUT_PIN47,
	IAXXX_DEV_INSTANCE_INPUT_PIN48,
	IAXXX_DEV_INSTANCE_INPUT_PIN49,
	IAXXX_DEV_INSTANCE_INPUT_PIN50,
	IAXXX_DEV_INSTANCE_INPUT_PIN51,
	IAXXX_DEV_INSTANCE_INPUT_PIN52,
	IAXXX_DEV_INSTANCE_INPUT_PIN53,
	IAXXX_DEV_INSTANCE_INPUT_PIN54,
	IAXXX_DEV_INSTANCE_INPUT_PIN55,
	IAXXX_DEV_INSTANCE_INPUT_PIN56,
	IAXXX_DEV_INSTANCE_INPUT_PIN57,
	IAXXX_DEV_INSTANCE_INPUT_PIN58,
	IAXXX_DEV_INSTANCE_INPUT_PIN59,
	IAXXX_DEV_INSTANCE_INPUT_PIN60,
	IAXXX_DEV_INSTANCE_INPUT_PIN61,
	IAXXX_DEV_INSTANCE_INPUT_PIN62,
	IAXXX_DEV_INSTANCE_INPUT_PIN63,

	IAXXX_DEV_NUM_INSTANCE_INPUT_PIN,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_INPUT_PIN_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of output pin
 */
enum iaxxx_device_instance_output_pin_t {
	IAXXX_DEV_INSTANCE_OUTPUT_PIN0 = 0,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN1,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN2,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN3,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN4,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN5,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN6,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN7,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN8,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN9,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN10,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN11,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN12,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN13,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN14,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN15,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN16,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN17,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN18,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN19,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN20,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN21,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN22,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN23,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN24,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN25,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN26,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN27,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN28,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN29,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN30,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN31,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN32,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN33,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN34,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN35,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN36,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN37,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN38,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN39,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN40,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN41,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN42,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN43,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN44,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN45,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN46,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN47,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN48,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN49,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN50,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN51,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN52,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN53,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN54,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN55,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN56,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN57,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN58,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN59,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN60,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN61,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN62,
	IAXXX_DEV_INSTANCE_OUTPUT_PIN63,

	IAXXX_DEV_NUM_INSTANCE_OUTPUT_PIN,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_OUTPUT_PIN_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of STMR Timer
 */
enum iaxxx_device_instance_stmr_timer_e {
	IAXXX_DEV_INSTANCE_STMR_TMR0 = 0,
	IAXXX_DEV_INSTANCE_STMR_TMR1,
	IAXXX_DEV_INSTANCE_STMR_TMR2,
	IAXXX_DEV_INSTANCE_STMR_TMR3,
	IAXXX_DEV_INSTANCE_STMR_TMR4,
	IAXXX_DEV_INSTANCE_STMR_TMR5,
	IAXXX_DEV_INSTANCE_STMR_TMR6,
	IAXXX_DEV_INSTANCE_STMR_TMR7,
	IAXXX_DEV_INSTANCE_STMR_TMR8,
	IAXXX_DEV_INSTANCE_STMR_TMR9,
	IAXXX_DEV_INSTANCE_STMR_TMR10,
	IAXXX_DEV_INSTANCE_STMR_TMR11,
	IAXXX_DEV_INSTANCE_STMR_TMR12,
	IAXXX_DEV_INSTANCE_STMR_TMR13,
	IAXXX_DEV_INSTANCE_STMR_TMR14,
	IAXXX_DEV_INSTANCE_STMR_TMR15,
	IAXXX_DEV_INSTANCE_STMR_TMR16,
	IAXXX_DEV_INSTANCE_STMR_TMR17,
	IAXXX_DEV_INSTANCE_STMR_TMR18,
	IAXXX_DEV_INSTANCE_STMR_TMR19,
	IAXXX_DEV_INSTANCE_STMR_TMR20,
	IAXXX_DEV_INSTANCE_STMR_TMR21,
	IAXXX_DEV_INSTANCE_STMR_TMR22,
	IAXXX_DEV_INSTANCE_STMR_TMR23,
	IAXXX_DEV_INSTANCE_STMR_TMR24,
	IAXXX_DEV_INSTANCE_STMR_TMR25,
	IAXXX_DEV_INSTANCE_STMR_TMR26,
	IAXXX_DEV_INSTANCE_STMR_TMR27,
	IAXXX_DEV_INSTANCE_STMR_TMR28,
	IAXXX_DEV_INSTANCE_STMR_TMR29,
	IAXXX_DEV_INSTANCE_STMR_TMR30,
	IAXXX_DEV_INSTANCE_STMR_TMR31,
	IAXXX_DEV_INSTANCE_STMR_TMR32,
	IAXXX_DEV_INSTANCE_STMR_TMR33,
	IAXXX_DEV_INSTANCE_STMR_TMR34,
	IAXXX_DEV_INSTANCE_STMR_TMR35,
	IAXXX_DEV_INSTANCE_STMR_TMR36,
	IAXXX_DEV_INSTANCE_STMR_TMR37,
	IAXXX_DEV_INSTANCE_STMR_TMR38,
	IAXXX_DEV_INSTANCE_STMR_TMR39,
	IAXXX_DEV_INSTANCE_STMR_TMR40,
	IAXXX_DEV_INSTANCE_STMR_TMR41,
	IAXXX_DEV_INSTANCE_STMR_TMR42,
	IAXXX_DEV_INSTANCE_STMR_TMR43,
	IAXXX_DEV_INSTANCE_STMR_TMR44,
	IAXXX_DEV_INSTANCE_STMR_TMR45,
	IAXXX_DEV_INSTANCE_STMR_TMR46,
	IAXXX_DEV_INSTANCE_STMR_TMR47,
	IAXXX_DEV_INSTANCE_STMR_TMR48,
	IAXXX_DEV_INSTANCE_STMR_TMR49,
	IAXXX_DEV_INSTANCE_STMR_TMR50,
	IAXXX_DEV_INSTANCE_STMR_TMR51,
	IAXXX_DEV_INSTANCE_STMR_TMR52,
	IAXXX_DEV_INSTANCE_STMR_TMR53,
	IAXXX_DEV_INSTANCE_STMR_TMR54,
	IAXXX_DEV_INSTANCE_STMR_TMR55,
	IAXXX_DEV_INSTANCE_STMR_TMR56,
	IAXXX_DEV_INSTANCE_STMR_TMR57,
	IAXXX_DEV_INSTANCE_STMR_TMR58,
	IAXXX_DEV_INSTANCE_STMR_TMR59,
	IAXXX_DEV_INSTANCE_STMR_TMR60,
	IAXXX_DEV_INSTANCE_STMR_TMR61,
	IAXXX_DEV_INSTANCE_STMR_TMR62,
	IAXXX_DEV_INSTANCE_STMR_TMR63,

	IAXXX_DEV_NUM_INSTANCE_STMR_TMR,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_STMR_TMR_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of STMR presentation time stamp
 */
enum iaxxx_device_instance_stmr_pt_e {
	IAXXX_DEV_INSTANCE_STMR_PT0 = 0,
	IAXXX_DEV_INSTANCE_STMR_PT1,
	IAXXX_DEV_INSTANCE_STMR_PT2,
	IAXXX_DEV_INSTANCE_STMR_PT3,
	IAXXX_DEV_INSTANCE_STMR_PT4,
	IAXXX_DEV_INSTANCE_STMR_PT5,
	IAXXX_DEV_INSTANCE_STMR_PT6,
	IAXXX_DEV_INSTANCE_STMR_PT7,
	IAXXX_DEV_INSTANCE_STMR_PT8,
	IAXXX_DEV_INSTANCE_STMR_PT9,
	IAXXX_DEV_INSTANCE_STMR_PT10,
	IAXXX_DEV_INSTANCE_STMR_PT11,
	IAXXX_DEV_INSTANCE_STMR_PT12,
	IAXXX_DEV_INSTANCE_STMR_PT13,
	IAXXX_DEV_INSTANCE_STMR_PT14,
	IAXXX_DEV_INSTANCE_STMR_PT15,
	IAXXX_DEV_INSTANCE_STMR_PT16,
	IAXXX_DEV_INSTANCE_STMR_PT17,
	IAXXX_DEV_INSTANCE_STMR_PT18,
	IAXXX_DEV_INSTANCE_STMR_PT19,
	IAXXX_DEV_INSTANCE_STMR_PT20,
	IAXXX_DEV_INSTANCE_STMR_PT21,
	IAXXX_DEV_INSTANCE_STMR_PT22,
	IAXXX_DEV_INSTANCE_STMR_PT23,
	IAXXX_DEV_INSTANCE_STMR_PT24,
	IAXXX_DEV_INSTANCE_STMR_PT25,
	IAXXX_DEV_INSTANCE_STMR_PT26,
	IAXXX_DEV_INSTANCE_STMR_PT27,
	IAXXX_DEV_INSTANCE_STMR_PT28,
	IAXXX_DEV_INSTANCE_STMR_PT29,
	IAXXX_DEV_INSTANCE_STMR_PT30,
	IAXXX_DEV_INSTANCE_STMR_PT31,
	IAXXX_DEV_INSTANCE_STMR_PT32,
	IAXXX_DEV_INSTANCE_STMR_PT33,
	IAXXX_DEV_INSTANCE_STMR_PT34,
	IAXXX_DEV_INSTANCE_STMR_PT35,
	IAXXX_DEV_INSTANCE_STMR_PT36,
	IAXXX_DEV_INSTANCE_STMR_PT37,
	IAXXX_DEV_INSTANCE_STMR_PT38,
	IAXXX_DEV_INSTANCE_STMR_PT39,
	IAXXX_DEV_INSTANCE_STMR_PT40,
	IAXXX_DEV_INSTANCE_STMR_PT41,
	IAXXX_DEV_INSTANCE_STMR_PT42,
	IAXXX_DEV_INSTANCE_STMR_PT43,
	IAXXX_DEV_INSTANCE_STMR_PT44,
	IAXXX_DEV_INSTANCE_STMR_PT45,
	IAXXX_DEV_INSTANCE_STMR_PT46,
	IAXXX_DEV_INSTANCE_STMR_PT47,
	IAXXX_DEV_INSTANCE_STMR_PT48,
	IAXXX_DEV_INSTANCE_STMR_PT49,
	IAXXX_DEV_INSTANCE_STMR_PT50,
	IAXXX_DEV_INSTANCE_STMR_PT51,
	IAXXX_DEV_INSTANCE_STMR_PT52,
	IAXXX_DEV_INSTANCE_STMR_PT53,
	IAXXX_DEV_INSTANCE_STMR_PT54,
	IAXXX_DEV_INSTANCE_STMR_PT55,
	IAXXX_DEV_INSTANCE_STMR_PT56,
	IAXXX_DEV_INSTANCE_STMR_PT57,
	IAXXX_DEV_INSTANCE_STMR_PT58,
	IAXXX_DEV_INSTANCE_STMR_PT59,
	IAXXX_DEV_INSTANCE_STMR_PT60,
	IAXXX_DEV_INSTANCE_STMR_PT61,
	IAXXX_DEV_INSTANCE_STMR_PT62,
	IAXXX_DEV_INSTANCE_STMR_PT63,

	IAXXX_DEV_NUM_INSTANCE_STMR_PT,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_STMR_PT_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of Interface
 */
enum iaxxx_device_instance_interface_e {
	IAXXX_DEV_INSTANCE_INTERFACE0 = 0,
	IAXXX_DEV_INSTANCE_INTERFACE1,
	IAXXX_DEV_INSTANCE_INTERFACE2,
	IAXXX_DEV_INSTANCE_INTERFACE3,
	IAXXX_DEV_INSTANCE_INTERFACE4,
	IAXXX_DEV_INSTANCE_INTERFACE5,
	IAXXX_DEV_INSTANCE_INTERFACE6,
	IAXXX_DEV_INSTANCE_INTERFACE7,
	IAXXX_DEV_INSTANCE_INTERFACE8,
	IAXXX_DEV_INSTANCE_INTERFACE9,
	IAXXX_DEV_INSTANCE_INTERFACE10,
	IAXXX_DEV_INSTANCE_INTERFACE11,
	IAXXX_DEV_INSTANCE_INTERFACE12,
	IAXXX_DEV_INSTANCE_INTERFACE13,
	IAXXX_DEV_INSTANCE_INTERFACE14,
	IAXXX_DEV_INSTANCE_INTERFACE15,
	IAXXX_DEV_INSTANCE_INTERFACE16,
	IAXXX_DEV_INSTANCE_INTERFACE17,
	IAXXX_DEV_INSTANCE_INTERFACE18,
	IAXXX_DEV_INSTANCE_INTERFACE19,
	IAXXX_DEV_INSTANCE_INTERFACE20,
	IAXXX_DEV_INSTANCE_INTERFACE21,
	IAXXX_DEV_INSTANCE_INTERFACE22,
	IAXXX_DEV_INSTANCE_INTERFACE23,
	IAXXX_DEV_INSTANCE_INTERFACE24,
	IAXXX_DEV_INSTANCE_INTERFACE25,
	IAXXX_DEV_INSTANCE_INTERFACE26,
	IAXXX_DEV_INSTANCE_INTERFACE27,
	IAXXX_DEV_INSTANCE_INTERFACE28,
	IAXXX_DEV_INSTANCE_INTERFACE29,
	IAXXX_DEV_INSTANCE_INTERFACE30,
	IAXXX_DEV_INSTANCE_INTERFACE31,
	IAXXX_DEV_INSTANCE_INTERFACE32,
	IAXXX_DEV_INSTANCE_INTERFACE33,
	IAXXX_DEV_INSTANCE_INTERFACE34,
	IAXXX_DEV_INSTANCE_INTERFACE35,
	IAXXX_DEV_INSTANCE_INTERFACE36,
	IAXXX_DEV_INSTANCE_INTERFACE37,
	IAXXX_DEV_INSTANCE_INTERFACE38,
	IAXXX_DEV_INSTANCE_INTERFACE39,
	IAXXX_DEV_INSTANCE_INTERFACE40,
	IAXXX_DEV_INSTANCE_INTERFACE41,
	IAXXX_DEV_INSTANCE_INTERFACE42,
	IAXXX_DEV_INSTANCE_INTERFACE43,
	IAXXX_DEV_INSTANCE_INTERFACE44,
	IAXXX_DEV_INSTANCE_INTERFACE45,
	IAXXX_DEV_INSTANCE_INTERFACE46,
	IAXXX_DEV_INSTANCE_INTERFACE47,
	IAXXX_DEV_INSTANCE_INTERFACE48,
	IAXXX_DEV_INSTANCE_INTERFACE49,
	IAXXX_DEV_INSTANCE_INTERFACE50,
	IAXXX_DEV_INSTANCE_INTERFACE51,
	IAXXX_DEV_INSTANCE_INTERFACE52,
	IAXXX_DEV_INSTANCE_INTERFACE53,
	IAXXX_DEV_INSTANCE_INTERFACE54,
	IAXXX_DEV_INSTANCE_INTERFACE55,
	IAXXX_DEV_INSTANCE_INTERFACE56,
	IAXXX_DEV_INSTANCE_INTERFACE57,
	IAXXX_DEV_INSTANCE_INTERFACE58,
	IAXXX_DEV_INSTANCE_INTERFACE59,
	IAXXX_DEV_INSTANCE_INTERFACE60,
	IAXXX_DEV_INSTANCE_INTERFACE61,
	IAXXX_DEV_INSTANCE_INTERFACE62,
	IAXXX_DEV_INSTANCE_INTERFACE63,

	IAXXX_DEV_NUM_INSTANCE_INTERFACE,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_INTERFACE_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of USB
 */
enum iaxxx_device_instance_usb_e {
	IAXXX_DEV_INSTANCE_USB0 = 0,
	IAXXX_DEV_INSTANCE_USB1,
	IAXXX_DEV_INSTANCE_USB2,
	IAXXX_DEV_INSTANCE_USB3,
	IAXXX_DEV_INSTANCE_USB4,
	IAXXX_DEV_INSTANCE_USB5,
	IAXXX_DEV_INSTANCE_USB6,
	IAXXX_DEV_INSTANCE_USB7,
	IAXXX_DEV_INSTANCE_USB8,
	IAXXX_DEV_INSTANCE_USB9,
	IAXXX_DEV_INSTANCE_USB10,
	IAXXX_DEV_INSTANCE_USB11,
	IAXXX_DEV_INSTANCE_USB12,
	IAXXX_DEV_INSTANCE_USB13,
	IAXXX_DEV_INSTANCE_USB14,
	IAXXX_DEV_INSTANCE_USB15,
	IAXXX_DEV_INSTANCE_USB16,
	IAXXX_DEV_INSTANCE_USB17,
	IAXXX_DEV_INSTANCE_USB18,
	IAXXX_DEV_INSTANCE_USB19,
	IAXXX_DEV_INSTANCE_USB20,
	IAXXX_DEV_INSTANCE_USB21,
	IAXXX_DEV_INSTANCE_USB22,
	IAXXX_DEV_INSTANCE_USB23,
	IAXXX_DEV_INSTANCE_USB24,
	IAXXX_DEV_INSTANCE_USB25,
	IAXXX_DEV_INSTANCE_USB26,
	IAXXX_DEV_INSTANCE_USB27,
	IAXXX_DEV_INSTANCE_USB28,
	IAXXX_DEV_INSTANCE_USB29,
	IAXXX_DEV_INSTANCE_USB30,
	IAXXX_DEV_INSTANCE_USB31,
	IAXXX_DEV_INSTANCE_USB32,
	IAXXX_DEV_INSTANCE_USB33,
	IAXXX_DEV_INSTANCE_USB34,
	IAXXX_DEV_INSTANCE_USB35,
	IAXXX_DEV_INSTANCE_USB36,
	IAXXX_DEV_INSTANCE_USB37,
	IAXXX_DEV_INSTANCE_USB38,
	IAXXX_DEV_INSTANCE_USB39,
	IAXXX_DEV_INSTANCE_USB40,
	IAXXX_DEV_INSTANCE_USB41,
	IAXXX_DEV_INSTANCE_USB42,
	IAXXX_DEV_INSTANCE_USB43,
	IAXXX_DEV_INSTANCE_USB44,
	IAXXX_DEV_INSTANCE_USB45,
	IAXXX_DEV_INSTANCE_USB46,
	IAXXX_DEV_INSTANCE_USB47,
	IAXXX_DEV_INSTANCE_USB48,
	IAXXX_DEV_INSTANCE_USB49,
	IAXXX_DEV_INSTANCE_USB50,
	IAXXX_DEV_INSTANCE_USB51,
	IAXXX_DEV_INSTANCE_USB52,
	IAXXX_DEV_INSTANCE_USB53,
	IAXXX_DEV_INSTANCE_USB54,
	IAXXX_DEV_INSTANCE_USB55,
	IAXXX_DEV_INSTANCE_USB56,
	IAXXX_DEV_INSTANCE_USB57,
	IAXXX_DEV_INSTANCE_USB58,
	IAXXX_DEV_INSTANCE_USB59,
	IAXXX_DEV_INSTANCE_USB60,
	IAXXX_DEV_INSTANCE_USB61,
	IAXXX_DEV_INSTANCE_USB62,
	IAXXX_DEV_INSTANCE_USB63,

	IAXXX_DEV_NUM_INSTANCE_USB,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_USB_FORCE_SIZE = INT_MAX,
};


/** Enum defining the instances of BT
 */
enum iaxxx_device_instance_bt_e {
	IAXXX_DEV_INSTANCE_BT0 = 0,

	IAXXX_DEV_NUM_INSTANCE_BT,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_BT_FORCE_SIZE = INT_MAX,
};

/** Enum defining the instances of Battery
 */
enum iaxxx_device_instance_Battery_e {
	IAXXX_DEV_INSTANCE_BATTERY0 = 0,

	IAXXX_DEV_NUM_INSTANCE_BATTERY,

	/* Force enums to be of size int */
	IAXXX_DEV_INSTANCE_BATTERY_FORCE_SIZE = INT_MAX,
};


/* System Ids of all devices */
#define IAXXX_SYSID_DEV_BUTTON0       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON0))
#define IAXXX_SYSID_DEV_BUTTON1       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON1))
#define IAXXX_SYSID_DEV_BUTTON2       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON2))
#define IAXXX_SYSID_DEV_BUTTON3       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON3))
#define IAXXX_SYSID_DEV_BUTTON4       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON4))
#define IAXXX_SYSID_DEV_BUTTON5       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON5))
#define IAXXX_SYSID_DEV_BUTTON6       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON6))
#define IAXXX_SYSID_DEV_BUTTON7       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON7))
#define IAXXX_SYSID_DEV_BUTTON8       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON8))
#define IAXXX_SYSID_DEV_BUTTON9       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON9))
#define IAXXX_SYSID_DEV_BUTTON10      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON10))
#define IAXXX_SYSID_DEV_BUTTON11      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON11))
#define IAXXX_SYSID_DEV_BUTTON12      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON12))
#define IAXXX_SYSID_DEV_BUTTON13      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON13))
#define IAXXX_SYSID_DEV_BUTTON14      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON14))
#define IAXXX_SYSID_DEV_BUTTON15      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON15))
#define IAXXX_SYSID_DEV_BUTTON16      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON16))
#define IAXXX_SYSID_DEV_BUTTON17      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON17))
#define IAXXX_SYSID_DEV_BUTTON18      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON18))
#define IAXXX_SYSID_DEV_BUTTON19      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON19))
#define IAXXX_SYSID_DEV_BUTTON20      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON20))
#define IAXXX_SYSID_DEV_BUTTON21      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON21))
#define IAXXX_SYSID_DEV_BUTTON22      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON22))
#define IAXXX_SYSID_DEV_BUTTON23      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON23))
#define IAXXX_SYSID_DEV_BUTTON24      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON24))
#define IAXXX_SYSID_DEV_BUTTON25      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON25))
#define IAXXX_SYSID_DEV_BUTTON26      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON26))
#define IAXXX_SYSID_DEV_BUTTON27      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON27))
#define IAXXX_SYSID_DEV_BUTTON28      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON28))
#define IAXXX_SYSID_DEV_BUTTON29      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON29))
#define IAXXX_SYSID_DEV_BUTTON30      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON30))
#define IAXXX_SYSID_DEV_BUTTON31      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON31))
#define IAXXX_SYSID_DEV_BUTTON32      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON32))
#define IAXXX_SYSID_DEV_BUTTON33      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON33))
#define IAXXX_SYSID_DEV_BUTTON34      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON34))
#define IAXXX_SYSID_DEV_BUTTON35      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON35))
#define IAXXX_SYSID_DEV_BUTTON36      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON36))
#define IAXXX_SYSID_DEV_BUTTON37      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON37))
#define IAXXX_SYSID_DEV_BUTTON38      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON38))
#define IAXXX_SYSID_DEV_BUTTON39      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON39))
#define IAXXX_SYSID_DEV_BUTTON40      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON40))
#define IAXXX_SYSID_DEV_BUTTON41      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON41))
#define IAXXX_SYSID_DEV_BUTTON42      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON42))
#define IAXXX_SYSID_DEV_BUTTON43      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON43))
#define IAXXX_SYSID_DEV_BUTTON44      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON44))
#define IAXXX_SYSID_DEV_BUTTON45      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON45))
#define IAXXX_SYSID_DEV_BUTTON46      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON46))
#define IAXXX_SYSID_DEV_BUTTON47      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON47))
#define IAXXX_SYSID_DEV_BUTTON48      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON48))
#define IAXXX_SYSID_DEV_BUTTON49      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON49))
#define IAXXX_SYSID_DEV_BUTTON50      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON50))
#define IAXXX_SYSID_DEV_BUTTON51      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON51))
#define IAXXX_SYSID_DEV_BUTTON52      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON52))
#define IAXXX_SYSID_DEV_BUTTON53      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON53))
#define IAXXX_SYSID_DEV_BUTTON54      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON54))
#define IAXXX_SYSID_DEV_BUTTON55      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON55))
#define IAXXX_SYSID_DEV_BUTTON56      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON56))
#define IAXXX_SYSID_DEV_BUTTON57      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON57))
#define IAXXX_SYSID_DEV_BUTTON58      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON58))
#define IAXXX_SYSID_DEV_BUTTON59      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON59))
#define IAXXX_SYSID_DEV_BUTTON60      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON60))
#define IAXXX_SYSID_DEV_BUTTON61      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON61))
#define IAXXX_SYSID_DEV_BUTTON62      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON62))
#define IAXXX_SYSID_DEV_BUTTON63      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BUTTON,       IAXXX_DEV_INSTANCE_BUTTON63))


#define IAXXX_SYSID_DEV_LED0          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED0))
#define IAXXX_SYSID_DEV_LED1          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED1))
#define IAXXX_SYSID_DEV_LED2          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED2))
#define IAXXX_SYSID_DEV_LED3          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED3))
#define IAXXX_SYSID_DEV_LED4          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED4))
#define IAXXX_SYSID_DEV_LED5          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED5))
#define IAXXX_SYSID_DEV_LED6          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED6))
#define IAXXX_SYSID_DEV_LED7          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED7))
#define IAXXX_SYSID_DEV_LED8          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED8))
#define IAXXX_SYSID_DEV_LED9          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED9))
#define IAXXX_SYSID_DEV_LED10         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED10))
#define IAXXX_SYSID_DEV_LED11         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED11))
#define IAXXX_SYSID_DEV_LED12         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED12))
#define IAXXX_SYSID_DEV_LED13         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED13))
#define IAXXX_SYSID_DEV_LED14         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED14))
#define IAXXX_SYSID_DEV_LED15         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED15))
#define IAXXX_SYSID_DEV_LED16         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED16))
#define IAXXX_SYSID_DEV_LED17         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED17))
#define IAXXX_SYSID_DEV_LED18         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED18))
#define IAXXX_SYSID_DEV_LED19         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED19))
#define IAXXX_SYSID_DEV_LED20         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED20))
#define IAXXX_SYSID_DEV_LED21         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED21))
#define IAXXX_SYSID_DEV_LED22         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED22))
#define IAXXX_SYSID_DEV_LED23         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED23))
#define IAXXX_SYSID_DEV_LED24         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED24))
#define IAXXX_SYSID_DEV_LED25         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED25))
#define IAXXX_SYSID_DEV_LED26         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED26))
#define IAXXX_SYSID_DEV_LED27         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED27))
#define IAXXX_SYSID_DEV_LED28         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED28))
#define IAXXX_SYSID_DEV_LED29         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED29))
#define IAXXX_SYSID_DEV_LED30         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED30))
#define IAXXX_SYSID_DEV_LED31         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED31))
#define IAXXX_SYSID_DEV_LED32         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED32))
#define IAXXX_SYSID_DEV_LED33         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED33))
#define IAXXX_SYSID_DEV_LED34         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED34))
#define IAXXX_SYSID_DEV_LED35         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED35))
#define IAXXX_SYSID_DEV_LED36         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED36))
#define IAXXX_SYSID_DEV_LED37         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED37))
#define IAXXX_SYSID_DEV_LED38         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED38))
#define IAXXX_SYSID_DEV_LED39         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED39))
#define IAXXX_SYSID_DEV_LED40         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED40))
#define IAXXX_SYSID_DEV_LED41         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED41))
#define IAXXX_SYSID_DEV_LED42         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED42))
#define IAXXX_SYSID_DEV_LED43         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED43))
#define IAXXX_SYSID_DEV_LED44         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED44))
#define IAXXX_SYSID_DEV_LED45         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED45))
#define IAXXX_SYSID_DEV_LED46         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED46))
#define IAXXX_SYSID_DEV_LED47         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED47))
#define IAXXX_SYSID_DEV_LED48         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED48))
#define IAXXX_SYSID_DEV_LED49         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED49))
#define IAXXX_SYSID_DEV_LED50         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED50))
#define IAXXX_SYSID_DEV_LED51         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED51))
#define IAXXX_SYSID_DEV_LED52         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED52))
#define IAXXX_SYSID_DEV_LED53         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED53))
#define IAXXX_SYSID_DEV_LED54         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED54))
#define IAXXX_SYSID_DEV_LED55         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED55))
#define IAXXX_SYSID_DEV_LED56         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED56))
#define IAXXX_SYSID_DEV_LED57         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED57))
#define IAXXX_SYSID_DEV_LED58         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED58))
#define IAXXX_SYSID_DEV_LED59         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED59))
#define IAXXX_SYSID_DEV_LED60         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED60))
#define IAXXX_SYSID_DEV_LED61         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED61))
#define IAXXX_SYSID_DEV_LED62         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED62))
#define IAXXX_SYSID_DEV_LED63         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_LED,          IAXXX_DEV_INSTANCE_LED63))


#define IAXXX_SYSID_DEV_FLASH0        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH0))
#define IAXXX_SYSID_DEV_FLASH1        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH1))
#define IAXXX_SYSID_DEV_FLASH2        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH2))
#define IAXXX_SYSID_DEV_FLASH3        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH3))
#define IAXXX_SYSID_DEV_FLASH4        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH4))
#define IAXXX_SYSID_DEV_FLASH5        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH5))
#define IAXXX_SYSID_DEV_FLASH6        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH6))
#define IAXXX_SYSID_DEV_FLASH7        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH7))
#define IAXXX_SYSID_DEV_FLASH8        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH8))
#define IAXXX_SYSID_DEV_FLASH9        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH9))
#define IAXXX_SYSID_DEV_FLASH10       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH10))
#define IAXXX_SYSID_DEV_FLASH11       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH11))
#define IAXXX_SYSID_DEV_FLASH12       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH12))
#define IAXXX_SYSID_DEV_FLASH13       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH13))
#define IAXXX_SYSID_DEV_FLASH14       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH14))
#define IAXXX_SYSID_DEV_FLASH15       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH15))
#define IAXXX_SYSID_DEV_FLASH16       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH16))
#define IAXXX_SYSID_DEV_FLASH17       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH17))
#define IAXXX_SYSID_DEV_FLASH18       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH18))
#define IAXXX_SYSID_DEV_FLASH19       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH19))
#define IAXXX_SYSID_DEV_FLASH20       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH20))
#define IAXXX_SYSID_DEV_FLASH21       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH21))
#define IAXXX_SYSID_DEV_FLASH22       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH22))
#define IAXXX_SYSID_DEV_FLASH23       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH23))
#define IAXXX_SYSID_DEV_FLASH24       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH24))
#define IAXXX_SYSID_DEV_FLASH25       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH25))
#define IAXXX_SYSID_DEV_FLASH26       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH26))
#define IAXXX_SYSID_DEV_FLASH27       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH27))
#define IAXXX_SYSID_DEV_FLASH28       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH28))
#define IAXXX_SYSID_DEV_FLASH29       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH29))
#define IAXXX_SYSID_DEV_FLASH30       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH30))
#define IAXXX_SYSID_DEV_FLASH31       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH31))
#define IAXXX_SYSID_DEV_FLASH32       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH32))
#define IAXXX_SYSID_DEV_FLASH33       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH33))
#define IAXXX_SYSID_DEV_FLASH34       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH34))
#define IAXXX_SYSID_DEV_FLASH35       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH35))
#define IAXXX_SYSID_DEV_FLASH36       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH36))
#define IAXXX_SYSID_DEV_FLASH37       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH37))
#define IAXXX_SYSID_DEV_FLASH38       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH38))
#define IAXXX_SYSID_DEV_FLASH39       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH39))
#define IAXXX_SYSID_DEV_FLASH40       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH40))
#define IAXXX_SYSID_DEV_FLASH41       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH41))
#define IAXXX_SYSID_DEV_FLASH42       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH42))
#define IAXXX_SYSID_DEV_FLASH43       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH43))
#define IAXXX_SYSID_DEV_FLASH44       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH44))
#define IAXXX_SYSID_DEV_FLASH45       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH45))
#define IAXXX_SYSID_DEV_FLASH46       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH46))
#define IAXXX_SYSID_DEV_FLASH47       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH47))
#define IAXXX_SYSID_DEV_FLASH48       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH48))
#define IAXXX_SYSID_DEV_FLASH49       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH49))
#define IAXXX_SYSID_DEV_FLASH50       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH50))
#define IAXXX_SYSID_DEV_FLASH51       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH51))
#define IAXXX_SYSID_DEV_FLASH52       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH52))
#define IAXXX_SYSID_DEV_FLASH53       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH53))
#define IAXXX_SYSID_DEV_FLASH54       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH54))
#define IAXXX_SYSID_DEV_FLASH55       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH55))
#define IAXXX_SYSID_DEV_FLASH56       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH56))
#define IAXXX_SYSID_DEV_FLASH57       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH57))
#define IAXXX_SYSID_DEV_FLASH58       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH58))
#define IAXXX_SYSID_DEV_FLASH59       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH59))
#define IAXXX_SYSID_DEV_FLASH60       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH60))
#define IAXXX_SYSID_DEV_FLASH61       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH61))
#define IAXXX_SYSID_DEV_FLASH62       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH62))
#define IAXXX_SYSID_DEV_FLASH63       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_FLASH,        IAXXX_DEV_INSTANCE_FLASH63))


#define IAXXX_SYSID_DEV_CODEC0        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC0))
#define IAXXX_SYSID_DEV_CODEC1        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC1))
#define IAXXX_SYSID_DEV_CODEC2        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC2))
#define IAXXX_SYSID_DEV_CODEC3        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC3))
#define IAXXX_SYSID_DEV_CODEC4        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC4))
#define IAXXX_SYSID_DEV_CODEC5        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC5))
#define IAXXX_SYSID_DEV_CODEC6        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC6))
#define IAXXX_SYSID_DEV_CODEC7        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC7))
#define IAXXX_SYSID_DEV_CODEC8        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC8))
#define IAXXX_SYSID_DEV_CODEC9        (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC9))
#define IAXXX_SYSID_DEV_CODEC10       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC10))
#define IAXXX_SYSID_DEV_CODEC11       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC11))
#define IAXXX_SYSID_DEV_CODEC12       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC12))
#define IAXXX_SYSID_DEV_CODEC13       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC13))
#define IAXXX_SYSID_DEV_CODEC14       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC14))
#define IAXXX_SYSID_DEV_CODEC15       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC15))
#define IAXXX_SYSID_DEV_CODEC16       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC16))
#define IAXXX_SYSID_DEV_CODEC17       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC17))
#define IAXXX_SYSID_DEV_CODEC18       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC18))
#define IAXXX_SYSID_DEV_CODEC19       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC19))
#define IAXXX_SYSID_DEV_CODEC20       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC20))
#define IAXXX_SYSID_DEV_CODEC21       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC21))
#define IAXXX_SYSID_DEV_CODEC22       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC22))
#define IAXXX_SYSID_DEV_CODEC23       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC23))
#define IAXXX_SYSID_DEV_CODEC24       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC24))
#define IAXXX_SYSID_DEV_CODEC25       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC25))
#define IAXXX_SYSID_DEV_CODEC26       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC26))
#define IAXXX_SYSID_DEV_CODEC27       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC27))
#define IAXXX_SYSID_DEV_CODEC28       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC28))
#define IAXXX_SYSID_DEV_CODEC29       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC29))
#define IAXXX_SYSID_DEV_CODEC30       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC30))
#define IAXXX_SYSID_DEV_CODEC31       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC31))
#define IAXXX_SYSID_DEV_CODEC32       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC32))
#define IAXXX_SYSID_DEV_CODEC33       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC33))
#define IAXXX_SYSID_DEV_CODEC34       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC34))
#define IAXXX_SYSID_DEV_CODEC35       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC35))
#define IAXXX_SYSID_DEV_CODEC36       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC36))
#define IAXXX_SYSID_DEV_CODEC37       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC37))
#define IAXXX_SYSID_DEV_CODEC38       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC38))
#define IAXXX_SYSID_DEV_CODEC39       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC39))
#define IAXXX_SYSID_DEV_CODEC40       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC40))
#define IAXXX_SYSID_DEV_CODEC41       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC41))
#define IAXXX_SYSID_DEV_CODEC42       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC42))
#define IAXXX_SYSID_DEV_CODEC43       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC43))
#define IAXXX_SYSID_DEV_CODEC44       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC44))
#define IAXXX_SYSID_DEV_CODEC45       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC45))
#define IAXXX_SYSID_DEV_CODEC46       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC46))
#define IAXXX_SYSID_DEV_CODEC47       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC47))
#define IAXXX_SYSID_DEV_CODEC48       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC48))
#define IAXXX_SYSID_DEV_CODEC49       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC49))
#define IAXXX_SYSID_DEV_CODEC50       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC50))
#define IAXXX_SYSID_DEV_CODEC51       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC51))
#define IAXXX_SYSID_DEV_CODEC52       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC52))
#define IAXXX_SYSID_DEV_CODEC53       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC53))
#define IAXXX_SYSID_DEV_CODEC54       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC54))
#define IAXXX_SYSID_DEV_CODEC55       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC55))
#define IAXXX_SYSID_DEV_CODEC56       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC56))
#define IAXXX_SYSID_DEV_CODEC57       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC57))
#define IAXXX_SYSID_DEV_CODEC58       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC58))
#define IAXXX_SYSID_DEV_CODEC59       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC59))
#define IAXXX_SYSID_DEV_CODEC60       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC60))
#define IAXXX_SYSID_DEV_CODEC61       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC61))
#define IAXXX_SYSID_DEV_CODEC62       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC62))
#define IAXXX_SYSID_DEV_CODEC63       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_CODEC,        IAXXX_DEV_INSTANCE_CODEC63))


#define IAXXX_SYSID_DEV_SENSOR0       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR0))
#define IAXXX_SYSID_DEV_SENSOR1       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR1))
#define IAXXX_SYSID_DEV_SENSOR2       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR2))
#define IAXXX_SYSID_DEV_SENSOR3       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR3))
#define IAXXX_SYSID_DEV_SENSOR4       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR4))
#define IAXXX_SYSID_DEV_SENSOR5       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR5))
#define IAXXX_SYSID_DEV_SENSOR6       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR6))
#define IAXXX_SYSID_DEV_SENSOR7       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR7))
#define IAXXX_SYSID_DEV_SENSOR8       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR8))
#define IAXXX_SYSID_DEV_SENSOR9       (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR9))
#define IAXXX_SYSID_DEV_SENSOR10      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR10))
#define IAXXX_SYSID_DEV_SENSOR11      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR11))
#define IAXXX_SYSID_DEV_SENSOR12      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR12))
#define IAXXX_SYSID_DEV_SENSOR13      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR13))
#define IAXXX_SYSID_DEV_SENSOR14      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR14))
#define IAXXX_SYSID_DEV_SENSOR15      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR15))
#define IAXXX_SYSID_DEV_SENSOR16      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR16))
#define IAXXX_SYSID_DEV_SENSOR17      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR17))
#define IAXXX_SYSID_DEV_SENSOR18      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR18))
#define IAXXX_SYSID_DEV_SENSOR19      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR19))
#define IAXXX_SYSID_DEV_SENSOR20      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR20))
#define IAXXX_SYSID_DEV_SENSOR21      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR21))
#define IAXXX_SYSID_DEV_SENSOR22      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR22))
#define IAXXX_SYSID_DEV_SENSOR23      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR23))
#define IAXXX_SYSID_DEV_SENSOR24      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR24))
#define IAXXX_SYSID_DEV_SENSOR25      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR25))
#define IAXXX_SYSID_DEV_SENSOR26      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR26))
#define IAXXX_SYSID_DEV_SENSOR27      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR27))
#define IAXXX_SYSID_DEV_SENSOR28      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR28))
#define IAXXX_SYSID_DEV_SENSOR29      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR29))
#define IAXXX_SYSID_DEV_SENSOR30      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR30))
#define IAXXX_SYSID_DEV_SENSOR31      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR31))
#define IAXXX_SYSID_DEV_SENSOR32      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR32))
#define IAXXX_SYSID_DEV_SENSOR33      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR33))
#define IAXXX_SYSID_DEV_SENSOR34      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR34))
#define IAXXX_SYSID_DEV_SENSOR35      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR35))
#define IAXXX_SYSID_DEV_SENSOR36      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR36))
#define IAXXX_SYSID_DEV_SENSOR37      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR37))
#define IAXXX_SYSID_DEV_SENSOR38      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR38))
#define IAXXX_SYSID_DEV_SENSOR39      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR39))
#define IAXXX_SYSID_DEV_SENSOR40      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR40))
#define IAXXX_SYSID_DEV_SENSOR41      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR41))
#define IAXXX_SYSID_DEV_SENSOR42      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR42))
#define IAXXX_SYSID_DEV_SENSOR43      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR43))
#define IAXXX_SYSID_DEV_SENSOR44      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR44))
#define IAXXX_SYSID_DEV_SENSOR45      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR45))
#define IAXXX_SYSID_DEV_SENSOR46      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR46))
#define IAXXX_SYSID_DEV_SENSOR47      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR47))
#define IAXXX_SYSID_DEV_SENSOR48      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR48))
#define IAXXX_SYSID_DEV_SENSOR49      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR49))
#define IAXXX_SYSID_DEV_SENSOR50      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR50))
#define IAXXX_SYSID_DEV_SENSOR51      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR51))
#define IAXXX_SYSID_DEV_SENSOR52      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR52))
#define IAXXX_SYSID_DEV_SENSOR53      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR53))
#define IAXXX_SYSID_DEV_SENSOR54      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR54))
#define IAXXX_SYSID_DEV_SENSOR55      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR55))
#define IAXXX_SYSID_DEV_SENSOR56      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR56))
#define IAXXX_SYSID_DEV_SENSOR57      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR57))
#define IAXXX_SYSID_DEV_SENSOR58      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR58))
#define IAXXX_SYSID_DEV_SENSOR59      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR59))
#define IAXXX_SYSID_DEV_SENSOR60      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR60))
#define IAXXX_SYSID_DEV_SENSOR61      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR61))
#define IAXXX_SYSID_DEV_SENSOR62      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR62))
#define IAXXX_SYSID_DEV_SENSOR63      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_SENSOR,       IAXXX_DEV_INSTANCE_SENSOR63))


#define IAXXX_SYSID_DEV_INPUT_PIN0    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN0))
#define IAXXX_SYSID_DEV_INPUT_PIN1    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN1))
#define IAXXX_SYSID_DEV_INPUT_PIN2    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN2))
#define IAXXX_SYSID_DEV_INPUT_PIN3    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN3))
#define IAXXX_SYSID_DEV_INPUT_PIN4    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN4))
#define IAXXX_SYSID_DEV_INPUT_PIN5    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN5))
#define IAXXX_SYSID_DEV_INPUT_PIN6    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN6))
#define IAXXX_SYSID_DEV_INPUT_PIN7    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN7))
#define IAXXX_SYSID_DEV_INPUT_PIN8    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN8))
#define IAXXX_SYSID_DEV_INPUT_PIN9    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN9))
#define IAXXX_SYSID_DEV_INPUT_PIN10   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN10))
#define IAXXX_SYSID_DEV_INPUT_PIN11   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN11))
#define IAXXX_SYSID_DEV_INPUT_PIN12   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN12))
#define IAXXX_SYSID_DEV_INPUT_PIN13   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN13))
#define IAXXX_SYSID_DEV_INPUT_PIN14   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN14))
#define IAXXX_SYSID_DEV_INPUT_PIN15   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN15))
#define IAXXX_SYSID_DEV_INPUT_PIN16   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN16))
#define IAXXX_SYSID_DEV_INPUT_PIN17   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN17))
#define IAXXX_SYSID_DEV_INPUT_PIN18   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN18))
#define IAXXX_SYSID_DEV_INPUT_PIN19   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN19))
#define IAXXX_SYSID_DEV_INPUT_PIN20   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN20))
#define IAXXX_SYSID_DEV_INPUT_PIN21   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN21))
#define IAXXX_SYSID_DEV_INPUT_PIN22   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN22))
#define IAXXX_SYSID_DEV_INPUT_PIN23   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN23))
#define IAXXX_SYSID_DEV_INPUT_PIN24   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN24))
#define IAXXX_SYSID_DEV_INPUT_PIN25   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN25))
#define IAXXX_SYSID_DEV_INPUT_PIN26   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN26))
#define IAXXX_SYSID_DEV_INPUT_PIN27   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN27))
#define IAXXX_SYSID_DEV_INPUT_PIN28   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN28))
#define IAXXX_SYSID_DEV_INPUT_PIN29   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN29))
#define IAXXX_SYSID_DEV_INPUT_PIN30   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN30))
#define IAXXX_SYSID_DEV_INPUT_PIN31   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN31))
#define IAXXX_SYSID_DEV_INPUT_PIN32   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN32))
#define IAXXX_SYSID_DEV_INPUT_PIN33   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN33))
#define IAXXX_SYSID_DEV_INPUT_PIN34   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN34))
#define IAXXX_SYSID_DEV_INPUT_PIN35   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN35))
#define IAXXX_SYSID_DEV_INPUT_PIN36   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN36))
#define IAXXX_SYSID_DEV_INPUT_PIN37   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN37))
#define IAXXX_SYSID_DEV_INPUT_PIN38   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN38))
#define IAXXX_SYSID_DEV_INPUT_PIN39   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN39))
#define IAXXX_SYSID_DEV_INPUT_PIN40   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN40))
#define IAXXX_SYSID_DEV_INPUT_PIN41   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN41))
#define IAXXX_SYSID_DEV_INPUT_PIN42   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN42))
#define IAXXX_SYSID_DEV_INPUT_PIN43   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN43))
#define IAXXX_SYSID_DEV_INPUT_PIN44   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN44))
#define IAXXX_SYSID_DEV_INPUT_PIN45   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN45))
#define IAXXX_SYSID_DEV_INPUT_PIN46   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN46))
#define IAXXX_SYSID_DEV_INPUT_PIN47   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN47))
#define IAXXX_SYSID_DEV_INPUT_PIN48   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN48))
#define IAXXX_SYSID_DEV_INPUT_PIN49   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN49))
#define IAXXX_SYSID_DEV_INPUT_PIN50   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN50))
#define IAXXX_SYSID_DEV_INPUT_PIN51   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN51))
#define IAXXX_SYSID_DEV_INPUT_PIN52   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN52))
#define IAXXX_SYSID_DEV_INPUT_PIN53   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN53))
#define IAXXX_SYSID_DEV_INPUT_PIN54   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN54))
#define IAXXX_SYSID_DEV_INPUT_PIN55   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN55))
#define IAXXX_SYSID_DEV_INPUT_PIN56   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN56))
#define IAXXX_SYSID_DEV_INPUT_PIN57   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN57))
#define IAXXX_SYSID_DEV_INPUT_PIN58   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN58))
#define IAXXX_SYSID_DEV_INPUT_PIN59   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN59))
#define IAXXX_SYSID_DEV_INPUT_PIN60   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN60))
#define IAXXX_SYSID_DEV_INPUT_PIN61   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN61))
#define IAXXX_SYSID_DEV_INPUT_PIN62   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN62))
#define IAXXX_SYSID_DEV_INPUT_PIN63   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INPUT_PIN,    IAXXX_DEV_INSTANCE_INPUT_PIN63))


#define IAXXX_SYSID_DEV_OUTPUT_PIN0   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN0))
#define IAXXX_SYSID_DEV_OUTPUT_PIN1   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN1))
#define IAXXX_SYSID_DEV_OUTPUT_PIN2   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN2))
#define IAXXX_SYSID_DEV_OUTPUT_PIN3   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN3))
#define IAXXX_SYSID_DEV_OUTPUT_PIN4   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN4))
#define IAXXX_SYSID_DEV_OUTPUT_PIN5   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN5))
#define IAXXX_SYSID_DEV_OUTPUT_PIN6   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN6))
#define IAXXX_SYSID_DEV_OUTPUT_PIN7   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN7))
#define IAXXX_SYSID_DEV_OUTPUT_PIN8   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN8))
#define IAXXX_SYSID_DEV_OUTPUT_PIN9   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN9))
#define IAXXX_SYSID_DEV_OUTPUT_PIN10  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN10))
#define IAXXX_SYSID_DEV_OUTPUT_PIN11  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN11))
#define IAXXX_SYSID_DEV_OUTPUT_PIN12  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN12))
#define IAXXX_SYSID_DEV_OUTPUT_PIN13  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN13))
#define IAXXX_SYSID_DEV_OUTPUT_PIN14  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN14))
#define IAXXX_SYSID_DEV_OUTPUT_PIN15  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN15))
#define IAXXX_SYSID_DEV_OUTPUT_PIN16  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN16))
#define IAXXX_SYSID_DEV_OUTPUT_PIN17  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN17))
#define IAXXX_SYSID_DEV_OUTPUT_PIN18  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN18))
#define IAXXX_SYSID_DEV_OUTPUT_PIN19  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN19))
#define IAXXX_SYSID_DEV_OUTPUT_PIN20  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN20))
#define IAXXX_SYSID_DEV_OUTPUT_PIN21  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN21))
#define IAXXX_SYSID_DEV_OUTPUT_PIN22  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN22))
#define IAXXX_SYSID_DEV_OUTPUT_PIN23  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN23))
#define IAXXX_SYSID_DEV_OUTPUT_PIN24  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN24))
#define IAXXX_SYSID_DEV_OUTPUT_PIN25  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN25))
#define IAXXX_SYSID_DEV_OUTPUT_PIN26  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN26))
#define IAXXX_SYSID_DEV_OUTPUT_PIN27  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN27))
#define IAXXX_SYSID_DEV_OUTPUT_PIN28  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN28))
#define IAXXX_SYSID_DEV_OUTPUT_PIN29  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN29))
#define IAXXX_SYSID_DEV_OUTPUT_PIN30  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN30))
#define IAXXX_SYSID_DEV_OUTPUT_PIN31  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN31))
#define IAXXX_SYSID_DEV_OUTPUT_PIN32  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN32))
#define IAXXX_SYSID_DEV_OUTPUT_PIN33  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN33))
#define IAXXX_SYSID_DEV_OUTPUT_PIN34  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN34))
#define IAXXX_SYSID_DEV_OUTPUT_PIN35  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN35))
#define IAXXX_SYSID_DEV_OUTPUT_PIN36  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN36))
#define IAXXX_SYSID_DEV_OUTPUT_PIN37  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN37))
#define IAXXX_SYSID_DEV_OUTPUT_PIN38  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN38))
#define IAXXX_SYSID_DEV_OUTPUT_PIN39  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN39))
#define IAXXX_SYSID_DEV_OUTPUT_PIN40  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN40))
#define IAXXX_SYSID_DEV_OUTPUT_PIN41  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN41))
#define IAXXX_SYSID_DEV_OUTPUT_PIN42  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN42))
#define IAXXX_SYSID_DEV_OUTPUT_PIN43  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN43))
#define IAXXX_SYSID_DEV_OUTPUT_PIN44  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN44))
#define IAXXX_SYSID_DEV_OUTPUT_PIN45  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN45))
#define IAXXX_SYSID_DEV_OUTPUT_PIN46  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN46))
#define IAXXX_SYSID_DEV_OUTPUT_PIN47  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN47))
#define IAXXX_SYSID_DEV_OUTPUT_PIN48  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN48))
#define IAXXX_SYSID_DEV_OUTPUT_PIN49  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN49))
#define IAXXX_SYSID_DEV_OUTPUT_PIN50  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN50))
#define IAXXX_SYSID_DEV_OUTPUT_PIN51  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN51))
#define IAXXX_SYSID_DEV_OUTPUT_PIN52  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN52))
#define IAXXX_SYSID_DEV_OUTPUT_PIN53  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN53))
#define IAXXX_SYSID_DEV_OUTPUT_PIN54  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN54))
#define IAXXX_SYSID_DEV_OUTPUT_PIN55  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN55))
#define IAXXX_SYSID_DEV_OUTPUT_PIN56  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN56))
#define IAXXX_SYSID_DEV_OUTPUT_PIN57  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN57))
#define IAXXX_SYSID_DEV_OUTPUT_PIN58  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN58))
#define IAXXX_SYSID_DEV_OUTPUT_PIN59  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN59))
#define IAXXX_SYSID_DEV_OUTPUT_PIN60  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN60))
#define IAXXX_SYSID_DEV_OUTPUT_PIN61  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN61))
#define IAXXX_SYSID_DEV_OUTPUT_PIN62  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN62))
#define IAXXX_SYSID_DEV_OUTPUT_PIN63  (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_OUTPUT_PIN,   IAXXX_DEV_INSTANCE_OUTPUT_PIN63))


#define IAXXX_SYSID_DEV_STMR_TMR0     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR0))
#define IAXXX_SYSID_DEV_STMR_TMR1     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR1))
#define IAXXX_SYSID_DEV_STMR_TMR2     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR2))
#define IAXXX_SYSID_DEV_STMR_TMR3     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR3))
#define IAXXX_SYSID_DEV_STMR_TMR4     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR4))
#define IAXXX_SYSID_DEV_STMR_TMR5     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR5))
#define IAXXX_SYSID_DEV_STMR_TMR6     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR6))
#define IAXXX_SYSID_DEV_STMR_TMR7     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR7))
#define IAXXX_SYSID_DEV_STMR_TMR8     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR8))
#define IAXXX_SYSID_DEV_STMR_TMR9     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR9))
#define IAXXX_SYSID_DEV_STMR_TMR10    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR10))
#define IAXXX_SYSID_DEV_STMR_TMR11    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR11))
#define IAXXX_SYSID_DEV_STMR_TMR12    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR12))
#define IAXXX_SYSID_DEV_STMR_TMR13    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR13))
#define IAXXX_SYSID_DEV_STMR_TMR14    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR14))
#define IAXXX_SYSID_DEV_STMR_TMR15    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR15))
#define IAXXX_SYSID_DEV_STMR_TMR16    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR16))
#define IAXXX_SYSID_DEV_STMR_TMR17    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR17))
#define IAXXX_SYSID_DEV_STMR_TMR18    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR18))
#define IAXXX_SYSID_DEV_STMR_TMR19    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR19))
#define IAXXX_SYSID_DEV_STMR_TMR20    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR20))
#define IAXXX_SYSID_DEV_STMR_TMR21    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR21))
#define IAXXX_SYSID_DEV_STMR_TMR22    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR22))
#define IAXXX_SYSID_DEV_STMR_TMR23    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR23))
#define IAXXX_SYSID_DEV_STMR_TMR24    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR24))
#define IAXXX_SYSID_DEV_STMR_TMR25    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR25))
#define IAXXX_SYSID_DEV_STMR_TMR26    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR26))
#define IAXXX_SYSID_DEV_STMR_TMR27    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR27))
#define IAXXX_SYSID_DEV_STMR_TMR28    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR28))
#define IAXXX_SYSID_DEV_STMR_TMR29    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR29))
#define IAXXX_SYSID_DEV_STMR_TMR30    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR30))
#define IAXXX_SYSID_DEV_STMR_TMR31    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR31))
#define IAXXX_SYSID_DEV_STMR_TMR32    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR32))
#define IAXXX_SYSID_DEV_STMR_TMR33    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR33))
#define IAXXX_SYSID_DEV_STMR_TMR34    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR34))
#define IAXXX_SYSID_DEV_STMR_TMR35    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR35))
#define IAXXX_SYSID_DEV_STMR_TMR36    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR36))
#define IAXXX_SYSID_DEV_STMR_TMR37    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR37))
#define IAXXX_SYSID_DEV_STMR_TMR38    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR38))
#define IAXXX_SYSID_DEV_STMR_TMR39    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR39))
#define IAXXX_SYSID_DEV_STMR_TMR40    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR40))
#define IAXXX_SYSID_DEV_STMR_TMR41    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR41))
#define IAXXX_SYSID_DEV_STMR_TMR42    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR42))
#define IAXXX_SYSID_DEV_STMR_TMR43    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR43))
#define IAXXX_SYSID_DEV_STMR_TMR44    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR44))
#define IAXXX_SYSID_DEV_STMR_TMR45    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR45))
#define IAXXX_SYSID_DEV_STMR_TMR46    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR46))
#define IAXXX_SYSID_DEV_STMR_TMR47    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR47))
#define IAXXX_SYSID_DEV_STMR_TMR48    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR48))
#define IAXXX_SYSID_DEV_STMR_TMR49    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR49))
#define IAXXX_SYSID_DEV_STMR_TMR50    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR50))
#define IAXXX_SYSID_DEV_STMR_TMR51    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR51))
#define IAXXX_SYSID_DEV_STMR_TMR52    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR52))
#define IAXXX_SYSID_DEV_STMR_TMR53    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR53))
#define IAXXX_SYSID_DEV_STMR_TMR54    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR54))
#define IAXXX_SYSID_DEV_STMR_TMR55    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR55))
#define IAXXX_SYSID_DEV_STMR_TMR56    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR56))
#define IAXXX_SYSID_DEV_STMR_TMR57    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR57))
#define IAXXX_SYSID_DEV_STMR_TMR58    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR58))
#define IAXXX_SYSID_DEV_STMR_TMR59    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR59))
#define IAXXX_SYSID_DEV_STMR_TMR60    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR60))
#define IAXXX_SYSID_DEV_STMR_TMR61    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR61))
#define IAXXX_SYSID_DEV_STMR_TMR62    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR62))
#define IAXXX_SYSID_DEV_STMR_TMR63    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_TMR,     IAXXX_DEV_INSTANCE_STMR_TMR63))


#define IAXXX_SYSID_DEV_STMR_PT0      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT0))
#define IAXXX_SYSID_DEV_STMR_PT1      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT1))
#define IAXXX_SYSID_DEV_STMR_PT2      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT2))
#define IAXXX_SYSID_DEV_STMR_PT3      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT3))
#define IAXXX_SYSID_DEV_STMR_PT4      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT4))
#define IAXXX_SYSID_DEV_STMR_PT5      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT5))
#define IAXXX_SYSID_DEV_STMR_PT6      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT6))
#define IAXXX_SYSID_DEV_STMR_PT7      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT7))
#define IAXXX_SYSID_DEV_STMR_PT8      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT8))
#define IAXXX_SYSID_DEV_STMR_PT9      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT9))
#define IAXXX_SYSID_DEV_STMR_PT10     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT10))
#define IAXXX_SYSID_DEV_STMR_PT11     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT11))
#define IAXXX_SYSID_DEV_STMR_PT12     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT12))
#define IAXXX_SYSID_DEV_STMR_PT13     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT13))
#define IAXXX_SYSID_DEV_STMR_PT14     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT14))
#define IAXXX_SYSID_DEV_STMR_PT15     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT15))
#define IAXXX_SYSID_DEV_STMR_PT16     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT16))
#define IAXXX_SYSID_DEV_STMR_PT17     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT17))
#define IAXXX_SYSID_DEV_STMR_PT18     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT18))
#define IAXXX_SYSID_DEV_STMR_PT19     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT19))
#define IAXXX_SYSID_DEV_STMR_PT20     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT20))
#define IAXXX_SYSID_DEV_STMR_PT21     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT21))
#define IAXXX_SYSID_DEV_STMR_PT22     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT22))
#define IAXXX_SYSID_DEV_STMR_PT23     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT23))
#define IAXXX_SYSID_DEV_STMR_PT24     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT24))
#define IAXXX_SYSID_DEV_STMR_PT25     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT25))
#define IAXXX_SYSID_DEV_STMR_PT26     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT26))
#define IAXXX_SYSID_DEV_STMR_PT27     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT27))
#define IAXXX_SYSID_DEV_STMR_PT28     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT28))
#define IAXXX_SYSID_DEV_STMR_PT29     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT29))
#define IAXXX_SYSID_DEV_STMR_PT30     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT30))
#define IAXXX_SYSID_DEV_STMR_PT31     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT31))
#define IAXXX_SYSID_DEV_STMR_PT32     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT32))
#define IAXXX_SYSID_DEV_STMR_PT33     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT33))
#define IAXXX_SYSID_DEV_STMR_PT34     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT34))
#define IAXXX_SYSID_DEV_STMR_PT35     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT35))
#define IAXXX_SYSID_DEV_STMR_PT36     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT36))
#define IAXXX_SYSID_DEV_STMR_PT37     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT37))
#define IAXXX_SYSID_DEV_STMR_PT38     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT38))
#define IAXXX_SYSID_DEV_STMR_PT39     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT39))
#define IAXXX_SYSID_DEV_STMR_PT40     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT40))
#define IAXXX_SYSID_DEV_STMR_PT41     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT41))
#define IAXXX_SYSID_DEV_STMR_PT42     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT42))
#define IAXXX_SYSID_DEV_STMR_PT43     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT43))
#define IAXXX_SYSID_DEV_STMR_PT44     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT44))
#define IAXXX_SYSID_DEV_STMR_PT45     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT45))
#define IAXXX_SYSID_DEV_STMR_PT46     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT46))
#define IAXXX_SYSID_DEV_STMR_PT47     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT47))
#define IAXXX_SYSID_DEV_STMR_PT48     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT48))
#define IAXXX_SYSID_DEV_STMR_PT49     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT49))
#define IAXXX_SYSID_DEV_STMR_PT50     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT50))
#define IAXXX_SYSID_DEV_STMR_PT51     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT51))
#define IAXXX_SYSID_DEV_STMR_PT52     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT52))
#define IAXXX_SYSID_DEV_STMR_PT53     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT53))
#define IAXXX_SYSID_DEV_STMR_PT54     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT54))
#define IAXXX_SYSID_DEV_STMR_PT55     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT55))
#define IAXXX_SYSID_DEV_STMR_PT56     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT56))
#define IAXXX_SYSID_DEV_STMR_PT57     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT57))
#define IAXXX_SYSID_DEV_STMR_PT58     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT58))
#define IAXXX_SYSID_DEV_STMR_PT59     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT59))
#define IAXXX_SYSID_DEV_STMR_PT60     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT60))
#define IAXXX_SYSID_DEV_STMR_PT61     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT61))
#define IAXXX_SYSID_DEV_STMR_PT62     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT62))
#define IAXXX_SYSID_DEV_STMR_PT63     (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_STMR_PT,      IAXXX_DEV_INSTANCE_STMR_PT63))


#define IAXXX_SYSID_DEV_INTERFACE0    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE0))
#define IAXXX_SYSID_DEV_INTERFACE1    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE1))
#define IAXXX_SYSID_DEV_INTERFACE2    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE2))
#define IAXXX_SYSID_DEV_INTERFACE3    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE3))
#define IAXXX_SYSID_DEV_INTERFACE4    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE4))
#define IAXXX_SYSID_DEV_INTERFACE5    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE5))
#define IAXXX_SYSID_DEV_INTERFACE6    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE6))
#define IAXXX_SYSID_DEV_INTERFACE7    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE7))
#define IAXXX_SYSID_DEV_INTERFACE8    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE8))
#define IAXXX_SYSID_DEV_INTERFACE9    (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE9))
#define IAXXX_SYSID_DEV_INTERFACE10   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE10))
#define IAXXX_SYSID_DEV_INTERFACE11   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE11))
#define IAXXX_SYSID_DEV_INTERFACE12   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE12))
#define IAXXX_SYSID_DEV_INTERFACE13   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE13))
#define IAXXX_SYSID_DEV_INTERFACE14   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE14))
#define IAXXX_SYSID_DEV_INTERFACE15   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE15))
#define IAXXX_SYSID_DEV_INTERFACE16   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE16))
#define IAXXX_SYSID_DEV_INTERFACE17   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE17))
#define IAXXX_SYSID_DEV_INTERFACE18   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE18))
#define IAXXX_SYSID_DEV_INTERFACE19   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE19))
#define IAXXX_SYSID_DEV_INTERFACE20   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE20))
#define IAXXX_SYSID_DEV_INTERFACE21   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE21))
#define IAXXX_SYSID_DEV_INTERFACE22   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE22))
#define IAXXX_SYSID_DEV_INTERFACE23   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE23))
#define IAXXX_SYSID_DEV_INTERFACE24   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE24))
#define IAXXX_SYSID_DEV_INTERFACE25   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE25))
#define IAXXX_SYSID_DEV_INTERFACE26   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE26))
#define IAXXX_SYSID_DEV_INTERFACE27   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE27))
#define IAXXX_SYSID_DEV_INTERFACE28   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE28))
#define IAXXX_SYSID_DEV_INTERFACE29   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE29))
#define IAXXX_SYSID_DEV_INTERFACE30   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE30))
#define IAXXX_SYSID_DEV_INTERFACE31   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE31))
#define IAXXX_SYSID_DEV_INTERFACE32   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE32))
#define IAXXX_SYSID_DEV_INTERFACE33   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE33))
#define IAXXX_SYSID_DEV_INTERFACE34   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE34))
#define IAXXX_SYSID_DEV_INTERFACE35   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE35))
#define IAXXX_SYSID_DEV_INTERFACE36   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE36))
#define IAXXX_SYSID_DEV_INTERFACE37   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE37))
#define IAXXX_SYSID_DEV_INTERFACE38   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE38))
#define IAXXX_SYSID_DEV_INTERFACE39   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE39))
#define IAXXX_SYSID_DEV_INTERFACE40   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE40))
#define IAXXX_SYSID_DEV_INTERFACE41   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE41))
#define IAXXX_SYSID_DEV_INTERFACE42   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE42))
#define IAXXX_SYSID_DEV_INTERFACE43   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE43))
#define IAXXX_SYSID_DEV_INTERFACE44   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE44))
#define IAXXX_SYSID_DEV_INTERFACE45   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE45))
#define IAXXX_SYSID_DEV_INTERFACE46   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE46))
#define IAXXX_SYSID_DEV_INTERFACE47   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE47))
#define IAXXX_SYSID_DEV_INTERFACE48   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE48))
#define IAXXX_SYSID_DEV_INTERFACE49   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE49))
#define IAXXX_SYSID_DEV_INTERFACE50   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE50))
#define IAXXX_SYSID_DEV_INTERFACE51   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE51))
#define IAXXX_SYSID_DEV_INTERFACE52   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE52))
#define IAXXX_SYSID_DEV_INTERFACE53   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE53))
#define IAXXX_SYSID_DEV_INTERFACE54   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE54))
#define IAXXX_SYSID_DEV_INTERFACE55   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE55))
#define IAXXX_SYSID_DEV_INTERFACE56   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE56))
#define IAXXX_SYSID_DEV_INTERFACE57   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE57))
#define IAXXX_SYSID_DEV_INTERFACE58   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE58))
#define IAXXX_SYSID_DEV_INTERFACE59   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE59))
#define IAXXX_SYSID_DEV_INTERFACE60   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE60))
#define IAXXX_SYSID_DEV_INTERFACE61   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE61))
#define IAXXX_SYSID_DEV_INTERFACE62   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE62))
#define IAXXX_SYSID_DEV_INTERFACE63   (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_INTERFACE,    IAXXX_DEV_INSTANCE_INTERFACE63))

#define IAXXX_SYSID_DEV_USB0          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB0))
#define IAXXX_SYSID_DEV_USB1          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB1))
#define IAXXX_SYSID_DEV_USB2          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB2))
#define IAXXX_SYSID_DEV_USB3          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB3))
#define IAXXX_SYSID_DEV_USB4          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB4))
#define IAXXX_SYSID_DEV_USB5          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB5))
#define IAXXX_SYSID_DEV_USB6          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB6))
#define IAXXX_SYSID_DEV_USB7          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB7))
#define IAXXX_SYSID_DEV_USB8          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB8))
#define IAXXX_SYSID_DEV_USB9          (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB9))
#define IAXXX_SYSID_DEV_USB10         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB10))
#define IAXXX_SYSID_DEV_USB11         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB11))
#define IAXXX_SYSID_DEV_USB12         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB12))
#define IAXXX_SYSID_DEV_USB13         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB13))
#define IAXXX_SYSID_DEV_USB14         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB14))
#define IAXXX_SYSID_DEV_USB15         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB15))
#define IAXXX_SYSID_DEV_USB16         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB16))
#define IAXXX_SYSID_DEV_USB17         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB17))
#define IAXXX_SYSID_DEV_USB18         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB18))
#define IAXXX_SYSID_DEV_USB19         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB19))
#define IAXXX_SYSID_DEV_USB20         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB20))
#define IAXXX_SYSID_DEV_USB21         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB21))
#define IAXXX_SYSID_DEV_USB22         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB22))
#define IAXXX_SYSID_DEV_USB23         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB23))
#define IAXXX_SYSID_DEV_USB24         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB24))
#define IAXXX_SYSID_DEV_USB25         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB25))
#define IAXXX_SYSID_DEV_USB26         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB26))
#define IAXXX_SYSID_DEV_USB27         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB27))
#define IAXXX_SYSID_DEV_USB28         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB28))
#define IAXXX_SYSID_DEV_USB29         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB29))
#define IAXXX_SYSID_DEV_USB30         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB30))
#define IAXXX_SYSID_DEV_USB31         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB31))
#define IAXXX_SYSID_DEV_USB32         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB32))
#define IAXXX_SYSID_DEV_USB33         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB33))
#define IAXXX_SYSID_DEV_USB34         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB34))
#define IAXXX_SYSID_DEV_USB35         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB35))
#define IAXXX_SYSID_DEV_USB36         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB36))
#define IAXXX_SYSID_DEV_USB37         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB37))
#define IAXXX_SYSID_DEV_USB38         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB38))
#define IAXXX_SYSID_DEV_USB39         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB39))
#define IAXXX_SYSID_DEV_USB40         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB40))
#define IAXXX_SYSID_DEV_USB41         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB41))
#define IAXXX_SYSID_DEV_USB42         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB42))
#define IAXXX_SYSID_DEV_USB43         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB43))
#define IAXXX_SYSID_DEV_USB44         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB44))
#define IAXXX_SYSID_DEV_USB45         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB45))
#define IAXXX_SYSID_DEV_USB46         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB46))
#define IAXXX_SYSID_DEV_USB47         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB47))
#define IAXXX_SYSID_DEV_USB48         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB48))
#define IAXXX_SYSID_DEV_USB49         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB49))
#define IAXXX_SYSID_DEV_USB50         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB50))
#define IAXXX_SYSID_DEV_USB51         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB51))
#define IAXXX_SYSID_DEV_USB52         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB52))
#define IAXXX_SYSID_DEV_USB53         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB53))
#define IAXXX_SYSID_DEV_USB54         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB54))
#define IAXXX_SYSID_DEV_USB55         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB55))
#define IAXXX_SYSID_DEV_USB56         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB56))
#define IAXXX_SYSID_DEV_USB57         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB57))
#define IAXXX_SYSID_DEV_USB58         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB58))
#define IAXXX_SYSID_DEV_USB59         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB59))
#define IAXXX_SYSID_DEV_USB60         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB60))
#define IAXXX_SYSID_DEV_USB61         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB61))
#define IAXXX_SYSID_DEV_USB62         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB62))
#define IAXXX_SYSID_DEV_USB63         (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_USB,          IAXXX_DEV_INSTANCE_USB63))

#define IAXXX_SYSID_DEV_BT0           (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BT,           IAXXX_DEV_INSTANCE_BT0))

#define IAXXX_SYSID_DEV_BATTERY0      (IAXXX_SYSID_GEN_DEVICE_SYSID \
	(IAXXX_SYSID_DEVICE_TYPE_BATTERY,      IAXXX_DEV_INSTANCE_BATTERY0))


/****************************************************************************
 * Types
 ****************************************************************************/

enum iaxxx_drv_sys_id_range_e {
	IAXXX_SYSID_PCM_START     = IAXXX_SYSID_PCM0,
	IAXXX_SYSID_PCM_END       = IAXXX_SYSID_PCM5,
	IAXXX_SYSID_I2S_START     = IAXXX_SYSID_I2S0,
	IAXXX_SYSID_I2S_END       = IAXXX_SYSID_I2S6,
	IAXXX_SYSID_PDMI_START    = IAXXX_SYSID_PDMI0,
	IAXXX_SYSID_PDMI_END      = IAXXX_SYSID_PDMI7,
	IAXXX_SYSID_PDMO_START    = IAXXX_SYSID_PDMO0,
	IAXXX_SYSID_PDMO_END      = IAXXX_SYSID_PDMO1,
	IAXXX_SYSID_DAC_START     = IAXXX_SYSID_DAC0,
	IAXXX_SYSID_DAC_END       = IAXXX_SYSID_DAC1,
	IAXXX_SYSID_SPI_START     = IAXXX_SYSID_SPI0,
	IAXXX_SYSID_SPI_END       = IAXXX_SYSID_SPI2,
	IAXXX_SYSID_FILTER_START  = IAXXX_SYSID_FILTER_IN0,
	IAXXX_SYSID_FILTER_END    = IAXXX_SYSID_FILTER_OUT1,

	/* Force enums to be of size int */
	IAXXX_DRV_SYSID_RANGE_FORCE_SIZE = INT_MAX,
};


/****************************************************************************
 * External/Shared Variables
 ****************************************************************************/
/* Variables used by these functions that are located elsewhere */

/****************************************************************************
 * Public Functions
 ****************************************************************************/
/* Prototypes for functions provided by the accompanying code file */

#endif /* __IAXXX_RESMGR_SYSIDS_H__ */
/*** eof ***/
